<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.276.0.76.10.3081
Name: Diagnosen
Description: Diagnosen
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.276.0.76.10.3081-2017-04-24T000000">
   <title>Diagnosen</title>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3081
Context: *[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3081']]]
Item: (Diagnosen)
-->

   <!--
Template derived rules for ID: 1.2.276.0.76.10.3081
Context: *[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3081']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3081']]
Item: (Diagnosen)
-->

   <rule context="*[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3081']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3081']]"
         id="d127e1974-false-d82405e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3081-2017-04-24T000000.html"
              test="string(@classCode)=('DOCSECT') or not(@classCode)">(Diagnosen): Der Wert von @classCode MUSS 'DOCSECT' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3081-2017-04-24T000000.html"
              test="not(@classCode) or (string-length(@classCode)&gt;0 and not(matches(@classCode,'\s')))">(Diagnosen): Attribute @classCode MUSS vom Datentyp 'cs' sein</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3081-2017-04-24T000000.html"
              test="string(@moodCode)=('EVN') or not(@moodCode)">(Diagnosen): Der Wert von @moodCode MUSS 'EVN' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3081-2017-04-24T000000.html"
              test="not(@moodCode) or (string-length(@moodCode)&gt;0 and not(matches(@moodCode,'\s')))">(Diagnosen): Attribute @moodCode MUSS vom Datentyp 'cs' sein</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3081-2017-04-24T000000.html"
              test="count(hl7:templateId[@root='1.2.276.0.76.10.3081'])&gt;=1">(Diagnosen): Element hl7:templateId[@root='1.2.276.0.76.10.3081'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3081-2017-04-24T000000.html"
              test="count(hl7:templateId[@root='1.2.276.0.76.10.3081'])&lt;=1">(Diagnosen): Element hl7:templateId[@root='1.2.276.0.76.10.3081'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3081-2017-04-24T000000.html"
              test="count(hl7:id)&lt;=1">(Diagnosen): Element hl7:id kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3081-2017-04-24T000000.html"
              test="count(hl7:code[(@code='11535-2' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)])&gt;=1">(Diagnosen): Element hl7:code[(@code='11535-2' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3081-2017-04-24T000000.html"
              test="count(hl7:code[(@code='11535-2' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)])&lt;=1">(Diagnosen): Element hl7:code[(@code='11535-2' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3081-2017-04-24T000000.html"
              test="count(hl7:title[not(@nullFlavor)])&gt;=1">(Diagnosen): Element hl7:title[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3081-2017-04-24T000000.html"
              test="count(hl7:title[not(@nullFlavor)])&lt;=1">(Diagnosen): Element hl7:title[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3081-2017-04-24T000000.html"
              test="count(hl7:text[not(@nullFlavor)])&gt;=1">(Diagnosen): Element hl7:text[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3081-2017-04-24T000000.html"
              test="count(hl7:text[not(@nullFlavor)])&lt;=1">(Diagnosen): Element hl7:text[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3081-2017-04-24T000000.html"
              test="count(hl7:entry[hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4079']]])&lt;=1">(Diagnosen): Element hl7:entry[hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4079']]] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3081
Context: *[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3081']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3081']]/hl7:templateId[@root='1.2.276.0.76.10.3081']
Item: (Diagnosen)
-->

   <rule context="*[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3081']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3081']]/hl7:templateId[@root='1.2.276.0.76.10.3081']"
         id="d127e1980-false-d82791e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3081-2017-04-24T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Diagnosen): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3081-2017-04-24T000000.html"
              test="string(@root)=('1.2.276.0.76.10.3081')">(Diagnosen): Der Wert von @root MUSS '1.2.276.0.76.10.3081' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3081-2017-04-24T000000.html"
              test="not(@root) or matches(@root,'^[0-2](\.(0|[1-9]\d*))*$') or matches(@root,'^[A-Fa-f\d]{8}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{12}$') or matches(@root,'^[A-Za-z][A-Za-z\d\-]*$')">(Diagnosen): Attribute @root MUSS vom Datentyp 'uid' sein</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3081
Context: *[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3081']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3081']]/hl7:id
Item: (Diagnosen)
-->

   <rule context="*[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3081']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3081']]/hl7:id"
         id="d127e1985-false-d82812e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3081-2017-04-24T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Diagnosen): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3081
Context: *[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3081']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3081']]/hl7:code[(@code='11535-2' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)]
Item: (Diagnosen)
-->

   <rule context="*[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3081']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3081']]/hl7:code[(@code='11535-2' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)]"
         id="d127e1987-false-d82826e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3081-2017-04-24T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Diagnosen): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3081-2017-04-24T000000.html"
              test="@nullFlavor or (@code='11535-2' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Hospital discharge Dx Narrative' and @codeSystemName='LOINC')">(Diagnosen): Der Elementinhalt MUSS einer von 'code '11535-2' codeSystem '2.16.840.1.113883.6.1' displayName='Hospital discharge Dx Narrative' codeSystemName='LOINC'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3081
Context: *[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3081']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3081']]/hl7:title[not(@nullFlavor)]
Item: (Diagnosen)
-->

   <rule context="*[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3081']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3081']]/hl7:title[not(@nullFlavor)]"
         id="d127e1993-false-d82846e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3081-2017-04-24T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Diagnosen): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ST" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ST"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3081-2017-04-24T000000.html"
              test="text()='Diagnosen'">(Diagnosen): Der Elementinhalt von 'hl7:title[not(@nullFlavor)]' MUSS ''Diagnosen'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3081
Context: *[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3081']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3081']]/hl7:text[not(@nullFlavor)]
Item: (Diagnosen)
-->

   <rule context="*[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3081']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3081']]/hl7:text[not(@nullFlavor)]"
         id="d127e1999-false-d82864e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3081-2017-04-24T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='SD.TEXT' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Diagnosen): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:SD.TEXT" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="SD.TEXT"/>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.10.3081
Context: *[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3081']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3081']]/hl7:entry[hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4079']]]
Item: (Diagnosen)
-->
   <rule context="*[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3081']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3081']]/hl7:entry[hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4079']]]">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3081-2017-04-24T000000.html"
              test="string(@typeCode)=('COMP')">(Diagnosen): Der Wert von @typeCode MUSS 'COMP' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3081-2017-04-24T000000.html"
              test="not(@typeCode) or (string-length(@typeCode)&gt;0 and not(matches(@typeCode,'\s')))">(Diagnosen): Attribute @typeCode MUSS vom Datentyp 'cs' sein</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3081-2017-04-24T000000.html"
              test="not(@contextConductionInd) or string(@contextConductionInd)=('true','false')">(Diagnosen): Attribute @contextConductionInd MUSS vom Datentyp 'bl' sein</assert>
   </rule>
</pattern>
