<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.276.0.76.10.4170
Name: Körpertemperatur
Description: Körpertemperatur
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.276.0.76.10.4170-2017-05-07T000000">
   <title>Körpertemperatur</title>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4170
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4170']]]
Item: (Koerpertemperatur)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4170']]]"
         id="d127e6294-false-d113293e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4170-2017-05-07T000000.html"
              test="count(hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4170']])&gt;=1">(Koerpertemperatur): Element hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4170']] ist required [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4170-2017-05-07T000000.html"
              test="count(hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4170']])&lt;=1">(Koerpertemperatur): Element hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4170']] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4170
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4170']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4170']]
Item: (Koerpertemperatur)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4170']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4170']]"
         id="d127e6325-false-d113317e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4170-2017-05-07T000000.html"
              test="string(@classCode)=('OBS')">(Koerpertemperatur): Der Wert von @classCode MUSS 'OBS' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4170-2017-05-07T000000.html"
              test="not(@classCode) or (string-length(@classCode)&gt;0 and not(matches(@classCode,'\s')))">(Koerpertemperatur): Attribute @classCode MUSS vom Datentyp 'cs' sein</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4170-2017-05-07T000000.html"
              test="string(@moodCode)=('EVN')">(Koerpertemperatur): Der Wert von @moodCode MUSS 'EVN' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4170-2017-05-07T000000.html"
              test="not(@moodCode) or (string-length(@moodCode)&gt;0 and not(matches(@moodCode,'\s')))">(Koerpertemperatur): Attribute @moodCode MUSS vom Datentyp 'cs' sein</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4170-2017-05-07T000000.html"
              test="count(hl7:templateId[@root='1.2.276.0.76.10.4170'])&gt;=1">(Koerpertemperatur): Element hl7:templateId[@root='1.2.276.0.76.10.4170'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4170-2017-05-07T000000.html"
              test="count(hl7:templateId[@root='1.2.276.0.76.10.4170'])&lt;=1">(Koerpertemperatur): Element hl7:templateId[@root='1.2.276.0.76.10.4170'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4170-2017-05-07T000000.html"
              test="count(hl7:id)&gt;=1">(Koerpertemperatur): Element hl7:id ist required [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4170-2017-05-07T000000.html"
              test="count(hl7:id)&lt;=1">(Koerpertemperatur): Element hl7:id kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4170-2017-05-07T000000.html"
              test="count(hl7:code[concat(@code,@codeSystem)=doc('include/voc-1.2.276.0.76.11.432-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem)][not(@nullFlavor)])&gt;=1">(Koerpertemperatur): Element hl7:code[concat(@code,@codeSystem)=doc('include/voc-1.2.276.0.76.11.432-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem)][not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4170-2017-05-07T000000.html"
              test="count(hl7:code[concat(@code,@codeSystem)=doc('include/voc-1.2.276.0.76.11.432-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem)][not(@nullFlavor)])&lt;=1">(Koerpertemperatur): Element hl7:code[concat(@code,@codeSystem)=doc('include/voc-1.2.276.0.76.11.432-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem)][not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4170-2017-05-07T000000.html"
              test="count(hl7:text)&lt;=1">(Koerpertemperatur): Element hl7:text kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4170-2017-05-07T000000.html"
              test="count(hl7:statusCode[@code='completed'][not(@nullFlavor)])&gt;=1">(Koerpertemperatur): Element hl7:statusCode[@code='completed'][not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4170-2017-05-07T000000.html"
              test="count(hl7:statusCode[@code='completed'][not(@nullFlavor)])&lt;=1">(Koerpertemperatur): Element hl7:statusCode[@code='completed'][not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4170-2017-05-07T000000.html"
              test="count(hl7:effectiveTime)&lt;=1">(Koerpertemperatur): Element hl7:effectiveTime kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4170-2017-05-07T000000.html"
              test="count(hl7:value)&gt;=1">(Koerpertemperatur): Element hl7:value ist required [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4170-2017-05-07T000000.html"
              test="count(hl7:value)&lt;=1">(Koerpertemperatur): Element hl7:value kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4170
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4170']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4170']]/hl7:templateId[@root='1.2.276.0.76.10.4170']
Item: (Koerpertemperatur)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4170']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4170']]/hl7:templateId[@root='1.2.276.0.76.10.4170']"
         id="d127e6331-false-d113421e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4170-2017-05-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Koerpertemperatur): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4170-2017-05-07T000000.html"
              test="string(@root)=('1.2.276.0.76.10.4170')">(Koerpertemperatur): Der Wert von @root MUSS '1.2.276.0.76.10.4170' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4170-2017-05-07T000000.html"
              test="not(@root) or matches(@root,'^[0-2](\.(0|[1-9]\d*))*$') or matches(@root,'^[A-Fa-f\d]{8}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{12}$') or matches(@root,'^[A-Za-z][A-Za-z\d\-]*$')">(Koerpertemperatur): Attribute @root MUSS vom Datentyp 'uid' sein</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4170
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4170']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4170']]/hl7:id
Item: (Koerpertemperatur)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4170']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4170']]/hl7:id"
         id="d127e6336-false-d113442e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4170-2017-05-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Koerpertemperatur): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4170
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4170']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4170']]/hl7:code[concat(@code,@codeSystem)=doc('include/voc-1.2.276.0.76.11.432-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem)][not(@nullFlavor)]
Item: (Koerpertemperatur)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4170']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4170']]/hl7:code[concat(@code,@codeSystem)=doc('include/voc-1.2.276.0.76.11.432-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem)][not(@nullFlavor)]"
         id="d127e6338-false-d113458e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4170-2017-05-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Koerpertemperatur): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CD" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CD"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4170-2017-05-07T000000.html"
              test="@nullFlavor or exists(doc('include/voc-1.2.276.0.76.11.432-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(Koerpertemperatur): Der Elementinhalt MUSS einer von '1.2.276.0.76.11.432 Körpertemperatur (DYNAMIC)' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4170
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4170']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4170']]/hl7:text
Item: (Koerpertemperatur)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4170']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4170']]/hl7:text"
         id="d127e6344-false-d113483e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4170-2017-05-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Koerpertemperatur): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ED" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ED"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4170-2017-05-07T000000.html"
              test="count(hl7:reference)&gt;=1">(Koerpertemperatur): Element hl7:reference ist required [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4170-2017-05-07T000000.html"
              test="count(hl7:reference)&lt;=1">(Koerpertemperatur): Element hl7:reference kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4170
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4170']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4170']]/hl7:text/hl7:reference
Item: (Koerpertemperatur)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4170']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4170']]/hl7:text/hl7:reference"
         id="d127e6349-false-d113509e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4170-2017-05-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='URL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Koerpertemperatur): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:URL" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="URL"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4170
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4170']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4170']]/hl7:statusCode[@code='completed'][not(@nullFlavor)]
Item: (Koerpertemperatur)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4170']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4170']]/hl7:statusCode[@code='completed'][not(@nullFlavor)]"
         id="d127e6352-false-d113523e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4170-2017-05-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Koerpertemperatur): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4170-2017-05-07T000000.html"
              test="@nullFlavor or (@code='completed')">(Koerpertemperatur): Der Elementinhalt MUSS einer von 'code 'completed'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4170
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4170']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4170']]/hl7:effectiveTime
Item: (Koerpertemperatur)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4170']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4170']]/hl7:effectiveTime"
         id="d127e6357-false-d113543e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4170-2017-05-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='IVL_TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Koerpertemperatur): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:IVL_TS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="IVL_TS"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4170
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4170']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4170']]/hl7:value
Item: (Koerpertemperatur)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4170']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4170']]/hl7:value"
         id="d127e6359-false-d113557e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4170-2017-05-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PQ' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Koerpertemperatur): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:PQ" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="PQ"/>
      <let name="theValue" value="@value"/>
      <assert role="warning"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4170-2017-05-07T000000.html"
              test="(@nullFlavor or (number($theValue)&gt;=0.0 and number($theValue)&lt;=45.0))">(Koerpertemperatur): value MUSS im Bereich [0.0..45.0] liegen  </assert>
      <let name="digitok"
           value="matches(string(@value), '^[-+]?\d*\.?[0-9]+([eE][-+]?\d+)?$')"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4170-2017-05-07T000000.html"
              test="$digitok or @nullFlavor">(Koerpertemperatur): @value ist keine gültige PQ Zahl <value-of select="@value"/>
      </assert>
      <let name="theUnit" value="@unit"/>
      <let name="UCUMtest"
           value="doc('include/voc-UCUM.xml')/*/ucum[@unit=$theUnit]/@message"/>
      <assert role="warning"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4170-2017-05-07T000000.html"
              test="$UCUMtest='OK' or string-length($UCUMtest)=0">(Koerpertemperatur): value/@unit (PQ) MUSS eine gültige UCUM-Einheit sein (<value-of select="$UCUMtest"/>).</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4170-2017-05-07T000000.html"
              test="string(@unit)=('Cel')">(Koerpertemperatur): Der Wert von @unit MUSS 'Cel' sein.</assert>
   </rule>
</pattern>
