<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.276.0.76.10.4214
Name: Sekretmanagement Gruppe Entry
Description: Sekretmanagement Gruppe Entry
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.276.0.76.10.4214-2017-05-16T000000">
   <title>Sekretmanagement Gruppe Entry</title>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4214
Context: *[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4214']]]
Item: (SekretmanagementGruppeEntry)
-->

   <!--
Template derived rules for ID: 1.2.276.0.76.10.4214
Context: *[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4214']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4214']]
Item: (SekretmanagementGruppeEntry)
-->

   <rule context="*[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4214']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4214']]"
         id="d127e8847-false-d124326e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4214-2017-05-16T000000.html"
              test="string(@classCode)=('CLUSTER')">(SekretmanagementGruppeEntry): Der Wert von @classCode MUSS 'CLUSTER' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4214-2017-05-16T000000.html"
              test="not(@classCode) or (string-length(@classCode)&gt;0 and not(matches(@classCode,'\s')))">(SekretmanagementGruppeEntry): Attribute @classCode MUSS vom Datentyp 'cs' sein</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4214-2017-05-16T000000.html"
              test="string(@moodCode)=('EVN') or not(@moodCode)">(SekretmanagementGruppeEntry): Der Wert von @moodCode MUSS 'EVN' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4214-2017-05-16T000000.html"
              test="not(@moodCode) or (string-length(@moodCode)&gt;0 and not(matches(@moodCode,'\s')))">(SekretmanagementGruppeEntry): Attribute @moodCode MUSS vom Datentyp 'cs' sein</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4214-2017-05-16T000000.html"
              test="count(hl7:templateId[@root='1.2.276.0.76.10.4214'])&gt;=1">(SekretmanagementGruppeEntry): Element hl7:templateId[@root='1.2.276.0.76.10.4214'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4214-2017-05-16T000000.html"
              test="count(hl7:templateId[@root='1.2.276.0.76.10.4214'])&lt;=1">(SekretmanagementGruppeEntry): Element hl7:templateId[@root='1.2.276.0.76.10.4214'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4214-2017-05-16T000000.html"
              test="count(hl7:id)&lt;=1">(SekretmanagementGruppeEntry): Element hl7:id kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4214-2017-05-16T000000.html"
              test="count(hl7:code)&lt;=1">(SekretmanagementGruppeEntry): Element hl7:code kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4214-2017-05-16T000000.html"
              test="count(hl7:statusCode[@code='completed' or @nullFlavor])&gt;=1">(SekretmanagementGruppeEntry): Element hl7:statusCode[@code='completed' or @nullFlavor] ist required [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4214-2017-05-16T000000.html"
              test="count(hl7:statusCode[@code='completed' or @nullFlavor])&lt;=1">(SekretmanagementGruppeEntry): Element hl7:statusCode[@code='completed' or @nullFlavor] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4214-2017-05-16T000000.html"
              test="count(hl7:effectiveTime)&lt;=1">(SekretmanagementGruppeEntry): Element hl7:effectiveTime kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4214
Context: *[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4214']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4214']]/hl7:templateId[@root='1.2.276.0.76.10.4214']
Item: (SekretmanagementGruppeEntry)
-->

   <rule context="*[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4214']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4214']]/hl7:templateId[@root='1.2.276.0.76.10.4214']"
         id="d127e8853-false-d124850e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4214-2017-05-16T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(SekretmanagementGruppeEntry): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4214-2017-05-16T000000.html"
              test="string(@root)=('1.2.276.0.76.10.4214')">(SekretmanagementGruppeEntry): Der Wert von @root MUSS '1.2.276.0.76.10.4214' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4214-2017-05-16T000000.html"
              test="not(@root) or matches(@root,'^[0-2](\.(0|[1-9]\d*))*$') or matches(@root,'^[A-Fa-f\d]{8}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{12}$') or matches(@root,'^[A-Za-z][A-Za-z\d\-]*$')">(SekretmanagementGruppeEntry): Attribute @root MUSS vom Datentyp 'uid' sein</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4214
Context: *[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4214']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4214']]/hl7:id
Item: (SekretmanagementGruppeEntry)
-->

   <rule context="*[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4214']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4214']]/hl7:id"
         id="d127e8858-false-d124871e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4214-2017-05-16T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(SekretmanagementGruppeEntry): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4214
Context: *[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4214']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4214']]/hl7:code
Item: (SekretmanagementGruppeEntry)
-->

   <rule context="*[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4214']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4214']]/hl7:code"
         id="d127e8860-false-d124885e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4214-2017-05-16T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(SekretmanagementGruppeEntry): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4214-2017-05-16T000000.html"
              test="@nullFlavor or (@code='409525007' and @codeSystem='2.16.840.1.113883.6.96' and @displayName=' Respiratory secretion precautions (procedure)' and @codeSystemName='SNOMED CT')">(SekretmanagementGruppeEntry): Der Elementinhalt MUSS einer von 'code '409525007' codeSystem '2.16.840.1.113883.6.96' displayName=' Respiratory secretion precautions (procedure)' codeSystemName='SNOMED CT'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4214
Context: *[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4214']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4214']]/hl7:statusCode[@code='completed' or @nullFlavor]
Item: (SekretmanagementGruppeEntry)
-->

   <rule context="*[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4214']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4214']]/hl7:statusCode[@code='completed' or @nullFlavor]"
         id="d127e8866-false-d124905e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4214-2017-05-16T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(SekretmanagementGruppeEntry): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4214-2017-05-16T000000.html"
              test="@nullFlavor or (@code='completed')">(SekretmanagementGruppeEntry): Der Elementinhalt MUSS einer von 'code 'completed'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4214
Context: *[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4214']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4214']]/hl7:effectiveTime
Item: (SekretmanagementGruppeEntry)
-->

   <rule context="*[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4214']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4214']]/hl7:effectiveTime"
         id="d127e8871-false-d124925e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4214-2017-05-16T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='IVL_TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(SekretmanagementGruppeEntry): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:IVL_TS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="IVL_TS"/>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.10.4214
Context: *[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4214']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4214']]/hl7:component[hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4215']]]
Item: (SekretmanagementGruppeEntry)
-->
   <rule context="*[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4214']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4214']]/hl7:component[hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4215']]]">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4214-2017-05-16T000000.html"
              test="string(@typeCode)=('COMP') or not(@typeCode)">(SekretmanagementGruppeEntry): Der Wert von @typeCode MUSS 'COMP' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4214-2017-05-16T000000.html"
              test="not(@typeCode) or (string-length(@typeCode)&gt;0 and not(matches(@typeCode,'\s')))">(SekretmanagementGruppeEntry): Attribute @typeCode MUSS vom Datentyp 'cs' sein</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4214-2017-05-16T000000.html"
              test="not(@contextConductionInd) or string(@contextConductionInd)=('true','false')">(SekretmanagementGruppeEntry): Attribute @contextConductionInd MUSS vom Datentyp 'bl' sein</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.10.4214
Context: *[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4214']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4214']]/hl7:component[hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4216']]]
Item: (SekretmanagementGruppeEntry)
-->
   <rule context="*[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4214']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4214']]/hl7:component[hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4216']]]">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4214-2017-05-16T000000.html"
              test="string(@typeCode)=('COMP') or not(@typeCode)">(SekretmanagementGruppeEntry): Der Wert von @typeCode MUSS 'COMP' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4214-2017-05-16T000000.html"
              test="not(@typeCode) or (string-length(@typeCode)&gt;0 and not(matches(@typeCode,'\s')))">(SekretmanagementGruppeEntry): Attribute @typeCode MUSS vom Datentyp 'cs' sein</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4214-2017-05-16T000000.html"
              test="not(@contextConductionInd) or string(@contextConductionInd)=('true','false')">(SekretmanagementGruppeEntry): Attribute @contextConductionInd MUSS vom Datentyp 'bl' sein</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.10.4214
Context: *[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4214']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4214']]/hl7:component[hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4217']]]
Item: (SekretmanagementGruppeEntry)
-->
   <rule context="*[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4214']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4214']]/hl7:component[hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4217']]]">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4214-2017-05-16T000000.html"
              test="string(@typeCode)=('COMP') or not(@typeCode)">(SekretmanagementGruppeEntry): Der Wert von @typeCode MUSS 'COMP' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4214-2017-05-16T000000.html"
              test="not(@typeCode) or (string-length(@typeCode)&gt;0 and not(matches(@typeCode,'\s')))">(SekretmanagementGruppeEntry): Attribute @typeCode MUSS vom Datentyp 'cs' sein</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4214-2017-05-16T000000.html"
              test="not(@contextConductionInd) or string(@contextConductionInd)=('true','false')">(SekretmanagementGruppeEntry): Attribute @contextConductionInd MUSS vom Datentyp 'bl' sein</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.10.4214
Context: *[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4214']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4214']]/hl7:component[hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4218']]]
Item: (SekretmanagementGruppeEntry)
-->
   <rule context="*[hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4214']]]/hl7:organizer[hl7:templateId[@root='1.2.276.0.76.10.4214']]/hl7:component[hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4218']]]">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4214-2017-05-16T000000.html"
              test="string(@typeCode)=('COMP') or not(@typeCode)">(SekretmanagementGruppeEntry): Der Wert von @typeCode MUSS 'COMP' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4214-2017-05-16T000000.html"
              test="not(@typeCode) or (string-length(@typeCode)&gt;0 and not(matches(@typeCode,'\s')))">(SekretmanagementGruppeEntry): Attribute @typeCode MUSS vom Datentyp 'cs' sein</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4214-2017-05-16T000000.html"
              test="not(@contextConductionInd) or string(@contextConductionInd)=('true','false')">(SekretmanagementGruppeEntry): Attribute @contextConductionInd MUSS vom Datentyp 'bl' sein</assert>
   </rule>
</pattern>
