<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.6.60.12.10.102
Name: Entlassmedikation
Description: 
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.6.60.12.10.102-2017-05-31T155433">
   <title>Entlassmedikation</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.6.60.12.10.102
Context: *[hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.102']]]
Item: (Entlassmedikation)
-->

   <rule context="*[hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.102']]]"
         id="d127e11846-false-d142681e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-2.16.840.1.113883.2.6.60.12.10.102-2017-05-31T155433.html"
              test="count(hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.102']])&gt;=1">(Entlassmedikation): Element hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.102']] ist required [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-2.16.840.1.113883.2.6.60.12.10.102-2017-05-31T155433.html"
              test="count(hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.102']])&lt;=1">(Entlassmedikation): Element hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.102']] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.6.60.12.10.102
Context: *[hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.102']]]/hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.102']]
Item: (Entlassmedikation)
-->

   <rule context="*[hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.102']]]/hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.102']]"
         id="d127e11856-false-d142705e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-2.16.840.1.113883.2.6.60.12.10.102-2017-05-31T155433.html"
              test="string(@classCode)=('DOCSECT') or not(@classCode)">(Entlassmedikation): Der Wert von @classCode MUSS 'DOCSECT' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-2.16.840.1.113883.2.6.60.12.10.102-2017-05-31T155433.html"
              test="not(@classCode) or (string-length(@classCode)&gt;0 and not(matches(@classCode,'\s')))">(Entlassmedikation): Attribute @classCode MUSS vom Datentyp 'cs' sein</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-2.16.840.1.113883.2.6.60.12.10.102-2017-05-31T155433.html"
              test="string(@moodCode)=('EVN') or not(@moodCode)">(Entlassmedikation): Der Wert von @moodCode MUSS 'EVN' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-2.16.840.1.113883.2.6.60.12.10.102-2017-05-31T155433.html"
              test="not(@moodCode) or (string-length(@moodCode)&gt;0 and not(matches(@moodCode,'\s')))">(Entlassmedikation): Attribute @moodCode MUSS vom Datentyp 'cs' sein</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-2.16.840.1.113883.2.6.60.12.10.102-2017-05-31T155433.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.102'])&gt;=1">(Entlassmedikation): Element hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.102'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-2.16.840.1.113883.2.6.60.12.10.102-2017-05-31T155433.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.102'])&lt;=1">(Entlassmedikation): Element hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.102'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-2.16.840.1.113883.2.6.60.12.10.102-2017-05-31T155433.html"
              test="count(hl7:id)&lt;=1">(Entlassmedikation): Element hl7:id kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-2.16.840.1.113883.2.6.60.12.10.102-2017-05-31T155433.html"
              test="count(hl7:code[not(@nullFlavor)])&lt;=1">(Entlassmedikation): Element hl7:code[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-2.16.840.1.113883.2.6.60.12.10.102-2017-05-31T155433.html"
              test="count(hl7:title[not(@nullFlavor)])&gt;=1">(Entlassmedikation): Element hl7:title[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-2.16.840.1.113883.2.6.60.12.10.102-2017-05-31T155433.html"
              test="count(hl7:title[not(@nullFlavor)])&lt;=1">(Entlassmedikation): Element hl7:title[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-2.16.840.1.113883.2.6.60.12.10.102-2017-05-31T155433.html"
              test="count(hl7:text)&lt;=1">(Entlassmedikation): Element hl7:text kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.6.60.12.10.102
Context: *[hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.102']]]/hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.102']]/hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.102']
Item: (Entlassmedikation)
-->

   <rule context="*[hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.102']]]/hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.102']]/hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.102']"
         id="d127e11862-false-d143023e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-2.16.840.1.113883.2.6.60.12.10.102-2017-05-31T155433.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Entlassmedikation): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-2.16.840.1.113883.2.6.60.12.10.102-2017-05-31T155433.html"
              test="string(@root)=('2.16.840.1.113883.2.6.60.12.10.102')">(Entlassmedikation): Der Wert von @root MUSS '2.16.840.1.113883.2.6.60.12.10.102' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-2.16.840.1.113883.2.6.60.12.10.102-2017-05-31T155433.html"
              test="not(@root) or matches(@root,'^[0-2](\.(0|[1-9]\d*))*$') or matches(@root,'^[A-Fa-f\d]{8}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{12}$') or matches(@root,'^[A-Za-z][A-Za-z\d\-]*$')">(Entlassmedikation): Attribute @root MUSS vom Datentyp 'uid' sein</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.6.60.12.10.102
Context: *[hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.102']]]/hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.102']]/hl7:id
Item: (Entlassmedikation)
-->

   <rule context="*[hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.102']]]/hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.102']]/hl7:id"
         id="d127e11867-false-d143044e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-2.16.840.1.113883.2.6.60.12.10.102-2017-05-31T155433.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Entlassmedikation): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.6.60.12.10.102
Context: *[hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.102']]]/hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.102']]/hl7:code[not(@nullFlavor)]
Item: (Entlassmedikation)
-->

   <rule context="*[hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.102']]]/hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.102']]/hl7:code[not(@nullFlavor)]"
         id="d127e11869-false-d143058e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-2.16.840.1.113883.2.6.60.12.10.102-2017-05-31T155433.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Entlassmedikation): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-2.16.840.1.113883.2.6.60.12.10.102-2017-05-31T155433.html"
              test="@nullFlavor or (@code='10183-2' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Hospital discharge medications Narrative' and @codeSystemName='LOINC')">(Entlassmedikation): Der Elementinhalt MUSS einer von 'code '10183-2' codeSystem '2.16.840.1.113883.6.1' displayName='Hospital discharge medications Narrative' codeSystemName='LOINC'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.6.60.12.10.102
Context: *[hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.102']]]/hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.102']]/hl7:title[not(@nullFlavor)]
Item: (Entlassmedikation)
-->

   <rule context="*[hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.102']]]/hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.102']]/hl7:title[not(@nullFlavor)]"
         id="d127e11875-false-d143078e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-2.16.840.1.113883.2.6.60.12.10.102-2017-05-31T155433.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Entlassmedikation): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ST" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ST"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-2.16.840.1.113883.2.6.60.12.10.102-2017-05-31T155433.html"
              test="text()='Medikation bei Entlassung'">(Entlassmedikation): Der Elementinhalt von 'hl7:title[not(@nullFlavor)]' MUSS ''Medikation bei Entlassung'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.6.60.12.10.102
Context: *[hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.102']]]/hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.102']]/hl7:text
Item: (Entlassmedikation)
-->

   <rule context="*[hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.102']]]/hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.102']]/hl7:text"
         id="d127e11881-false-d143096e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-2.16.840.1.113883.2.6.60.12.10.102-2017-05-31T155433.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='SD.TEXT' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Entlassmedikation): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:SD.TEXT" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="SD.TEXT"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.6.60.12.10.102
Context: *[hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.102']]]/hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.102']]/hl7:component[hl7:substanceAdministration[hl7:templateId[@root='1.2.276.0.76.10.4022']]]
Item: (Entlassmedikation)
-->
   <rule context="*[hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.102']]]/hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.102']]/hl7:component[hl7:substanceAdministration[hl7:templateId[@root='1.2.276.0.76.10.4022']]]">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-2.16.840.1.113883.2.6.60.12.10.102-2017-05-31T155433.html"
              test="string(@typeCode)=('COMP') or not(@typeCode)">(Entlassmedikation): Der Wert von @typeCode MUSS 'COMP' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-2.16.840.1.113883.2.6.60.12.10.102-2017-05-31T155433.html"
              test="not(@typeCode) or (string-length(@typeCode)&gt;0 and not(matches(@typeCode,'\s')))">(Entlassmedikation): Attribute @typeCode MUSS vom Datentyp 'cs' sein</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-2.16.840.1.113883.2.6.60.12.10.102-2017-05-31T155433.html"
              test="string(@contextConductionInd)=('true') or not(@contextConductionInd)">(Entlassmedikation): Der Wert von @contextConductionInd MUSS 'true' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-2.16.840.1.113883.2.6.60.12.10.102-2017-05-31T155433.html"
              test="not(@contextConductionInd) or string(@contextConductionInd)=('true','false')">(Entlassmedikation): Attribute @contextConductionInd MUSS vom Datentyp 'bl' sein</assert>
   </rule>
</pattern>
