<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.6.60.12.10.23
Name: Herzfrequenz
Description: Herzfrequenz
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.6.60.12.10.23-2017-05-04T145727">
   <title>Herzfrequenz</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.6.60.12.10.23
Context: *[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.23']]]
Item: (Herzfrequenz)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.23']]]"
         id="d127e11924-false-d143549e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-2.16.840.1.113883.2.6.60.12.10.23-2017-05-04T145727.html"
              test="count(hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.23']])&gt;=1">(Herzfrequenz): Element hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.23']] ist required [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-2.16.840.1.113883.2.6.60.12.10.23-2017-05-04T145727.html"
              test="count(hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.23']])&lt;=1">(Herzfrequenz): Element hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.23']] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.6.60.12.10.23
Context: *[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.23']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.23']]
Item: (Herzfrequenz)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.23']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.23']]"
         id="d127e11952-false-d143573e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-2.16.840.1.113883.2.6.60.12.10.23-2017-05-04T145727.html"
              test="string(@classCode)=('OBS')">(Herzfrequenz): Der Wert von @classCode MUSS 'OBS' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-2.16.840.1.113883.2.6.60.12.10.23-2017-05-04T145727.html"
              test="not(@classCode) or (string-length(@classCode)&gt;0 and not(matches(@classCode,'\s')))">(Herzfrequenz): Attribute @classCode MUSS vom Datentyp 'cs' sein</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-2.16.840.1.113883.2.6.60.12.10.23-2017-05-04T145727.html"
              test="string(@moodCode)=('EVN')">(Herzfrequenz): Der Wert von @moodCode MUSS 'EVN' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-2.16.840.1.113883.2.6.60.12.10.23-2017-05-04T145727.html"
              test="not(@moodCode) or (string-length(@moodCode)&gt;0 and not(matches(@moodCode,'\s')))">(Herzfrequenz): Attribute @moodCode MUSS vom Datentyp 'cs' sein</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-2.16.840.1.113883.2.6.60.12.10.23-2017-05-04T145727.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.23'])&gt;=1">(Herzfrequenz): Element hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.23'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-2.16.840.1.113883.2.6.60.12.10.23-2017-05-04T145727.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.23'])&lt;=1">(Herzfrequenz): Element hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.23'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-2.16.840.1.113883.2.6.60.12.10.23-2017-05-04T145727.html"
              test="count(hl7:id)&gt;=1">(Herzfrequenz): Element hl7:id ist required [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-2.16.840.1.113883.2.6.60.12.10.23-2017-05-04T145727.html"
              test="count(hl7:id)&lt;=1">(Herzfrequenz): Element hl7:id kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-2.16.840.1.113883.2.6.60.12.10.23-2017-05-04T145727.html"
              test="count(hl7:code[(@code='8867-4' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)])&gt;=1">(Herzfrequenz): Element hl7:code[(@code='8867-4' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-2.16.840.1.113883.2.6.60.12.10.23-2017-05-04T145727.html"
              test="count(hl7:code[(@code='8867-4' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)])&lt;=1">(Herzfrequenz): Element hl7:code[(@code='8867-4' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-2.16.840.1.113883.2.6.60.12.10.23-2017-05-04T145727.html"
              test="count(hl7:statusCode[@code='completed'][not(@nullFlavor)])&gt;=1">(Herzfrequenz): Element hl7:statusCode[@code='completed'][not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-2.16.840.1.113883.2.6.60.12.10.23-2017-05-04T145727.html"
              test="count(hl7:statusCode[@code='completed'][not(@nullFlavor)])&lt;=1">(Herzfrequenz): Element hl7:statusCode[@code='completed'][not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-2.16.840.1.113883.2.6.60.12.10.23-2017-05-04T145727.html"
              test="count(hl7:effectiveTime)&gt;=1">(Herzfrequenz): Element hl7:effectiveTime ist required [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-2.16.840.1.113883.2.6.60.12.10.23-2017-05-04T145727.html"
              test="count(hl7:effectiveTime)&lt;=1">(Herzfrequenz): Element hl7:effectiveTime kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-2.16.840.1.113883.2.6.60.12.10.23-2017-05-04T145727.html"
              test="count(hl7:value[not(@nullFlavor)])&gt;=1">(Herzfrequenz): Element hl7:value[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-2.16.840.1.113883.2.6.60.12.10.23-2017-05-04T145727.html"
              test="count(hl7:value[not(@nullFlavor)])&lt;=1">(Herzfrequenz): Element hl7:value[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.6.60.12.10.23
Context: *[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.23']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.23']]/hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.23']
Item: (Herzfrequenz)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.23']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.23']]/hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.23']"
         id="d127e11958-false-d143669e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-2.16.840.1.113883.2.6.60.12.10.23-2017-05-04T145727.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Herzfrequenz): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-2.16.840.1.113883.2.6.60.12.10.23-2017-05-04T145727.html"
              test="string(@root)=('2.16.840.1.113883.2.6.60.12.10.23')">(Herzfrequenz): Der Wert von @root MUSS '2.16.840.1.113883.2.6.60.12.10.23' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-2.16.840.1.113883.2.6.60.12.10.23-2017-05-04T145727.html"
              test="not(@root) or matches(@root,'^[0-2](\.(0|[1-9]\d*))*$') or matches(@root,'^[A-Fa-f\d]{8}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{12}$') or matches(@root,'^[A-Za-z][A-Za-z\d\-]*$')">(Herzfrequenz): Attribute @root MUSS vom Datentyp 'uid' sein</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.6.60.12.10.23
Context: *[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.23']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.23']]/hl7:id
Item: (Herzfrequenz)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.23']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.23']]/hl7:id"
         id="d127e11963-false-d143690e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-2.16.840.1.113883.2.6.60.12.10.23-2017-05-04T145727.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Herzfrequenz): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.6.60.12.10.23
Context: *[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.23']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.23']]/hl7:code[(@code='8867-4' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)]
Item: (Herzfrequenz)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.23']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.23']]/hl7:code[(@code='8867-4' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)]"
         id="d127e11965-false-d143704e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-2.16.840.1.113883.2.6.60.12.10.23-2017-05-04T145727.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Herzfrequenz): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-2.16.840.1.113883.2.6.60.12.10.23-2017-05-04T145727.html"
              test="@nullFlavor or (@code='8867-4' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Heart rate' and @codeSystemName='LOINC')">(Herzfrequenz): Der Elementinhalt MUSS einer von 'code '8867-4' codeSystem '2.16.840.1.113883.6.1' displayName='Heart rate' codeSystemName='LOINC'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.6.60.12.10.23
Context: *[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.23']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.23']]/hl7:statusCode[@code='completed'][not(@nullFlavor)]
Item: (Herzfrequenz)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.23']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.23']]/hl7:statusCode[@code='completed'][not(@nullFlavor)]"
         id="d127e11971-false-d143724e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-2.16.840.1.113883.2.6.60.12.10.23-2017-05-04T145727.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Herzfrequenz): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-2.16.840.1.113883.2.6.60.12.10.23-2017-05-04T145727.html"
              test="@nullFlavor or (@code='completed')">(Herzfrequenz): Der Elementinhalt MUSS einer von 'code 'completed'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.6.60.12.10.23
Context: *[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.23']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.23']]/hl7:effectiveTime
Item: (Herzfrequenz)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.23']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.23']]/hl7:effectiveTime"
         id="d127e11976-false-d143744e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-2.16.840.1.113883.2.6.60.12.10.23-2017-05-04T145727.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='IVL_TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Herzfrequenz): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:IVL_TS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="IVL_TS"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.6.60.12.10.23
Context: *[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.23']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.23']]/hl7:value[not(@nullFlavor)]
Item: (Herzfrequenz)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.23']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.23']]/hl7:value[not(@nullFlavor)]"
         id="d127e11978-false-d143758e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-2.16.840.1.113883.2.6.60.12.10.23-2017-05-04T145727.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PQ' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Herzfrequenz): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:PQ" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="PQ"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-2.16.840.1.113883.2.6.60.12.10.23-2017-05-04T145727.html"
              test="(@nullFlavor or (@unit='{beats}/min'))">(Herzfrequenz): value MUSS die Einheit '{beats}/min' nutzen </assert>
      <let name="digitok"
           value="matches(string(@value), '^[-+]?\d*\.?[0-9]+([eE][-+]?\d+)?$')"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-2.16.840.1.113883.2.6.60.12.10.23-2017-05-04T145727.html"
              test="$digitok or @nullFlavor">(Herzfrequenz): @value ist keine gültige PQ Zahl <value-of select="@value"/>
      </assert>
      <let name="theUnit" value="@unit"/>
      <let name="UCUMtest"
           value="doc('include/voc-UCUM.xml')/*/ucum[@unit=$theUnit]/@message"/>
      <assert role="warning"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-2.16.840.1.113883.2.6.60.12.10.23-2017-05-04T145727.html"
              test="$UCUMtest='OK' or string-length($UCUMtest)=0">(Herzfrequenz): value/@unit (PQ) MUSS eine gültige UCUM-Einheit sein (<value-of select="$UCUMtest"/>).</assert>
   </rule>
</pattern>
