<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.6.60.12.10.24
Name: Blutdruck
Description: 
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.6.60.12.10.24-2017-05-07T123926">
   <title>Blutdruck</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.6.60.12.10.24
Context: *[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.24']]]
Item: (Blutdruck)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.24']]]"
         id="d127e11985-false-d143784e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-2.16.840.1.113883.2.6.60.12.10.24-2017-05-07T123926.html"
              test="count(hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.24']])&gt;=1">(Blutdruck): Element hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.24']] ist required [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-2.16.840.1.113883.2.6.60.12.10.24-2017-05-07T123926.html"
              test="count(hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.24']])&lt;=1">(Blutdruck): Element hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.24']] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.6.60.12.10.24
Context: *[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.24']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.24']]
Item: (Blutdruck)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.24']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.24']]"
         id="d127e11993-false-d143808e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-2.16.840.1.113883.2.6.60.12.10.24-2017-05-07T123926.html"
              test="string(@classCode)=('OBS')">(Blutdruck): Der Wert von @classCode MUSS 'OBS' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-2.16.840.1.113883.2.6.60.12.10.24-2017-05-07T123926.html"
              test="not(@classCode) or (string-length(@classCode)&gt;0 and not(matches(@classCode,'\s')))">(Blutdruck): Attribute @classCode MUSS vom Datentyp 'cs' sein</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-2.16.840.1.113883.2.6.60.12.10.24-2017-05-07T123926.html"
              test="string(@moodCode)=('EVN')">(Blutdruck): Der Wert von @moodCode MUSS 'EVN' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-2.16.840.1.113883.2.6.60.12.10.24-2017-05-07T123926.html"
              test="not(@moodCode) or (string-length(@moodCode)&gt;0 and not(matches(@moodCode,'\s')))">(Blutdruck): Attribute @moodCode MUSS vom Datentyp 'cs' sein</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-2.16.840.1.113883.2.6.60.12.10.24-2017-05-07T123926.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.24'])&gt;=1">(Blutdruck): Element hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.24'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-2.16.840.1.113883.2.6.60.12.10.24-2017-05-07T123926.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.24'])&lt;=1">(Blutdruck): Element hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.24'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-2.16.840.1.113883.2.6.60.12.10.24-2017-05-07T123926.html"
              test="count(hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.6.60.12.11.9-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor])&gt;=1">(Blutdruck): Element hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.6.60.12.11.9-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor] ist required [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-2.16.840.1.113883.2.6.60.12.10.24-2017-05-07T123926.html"
              test="count(hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.6.60.12.11.9-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor])&lt;=1">(Blutdruck): Element hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.6.60.12.11.9-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-2.16.840.1.113883.2.6.60.12.10.24-2017-05-07T123926.html"
              test="count(hl7:text)&lt;=1">(Blutdruck): Element hl7:text kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-2.16.840.1.113883.2.6.60.12.10.24-2017-05-07T123926.html"
              test="count(hl7:statusCode[@code='completed' or @nullFlavor])&gt;=1">(Blutdruck): Element hl7:statusCode[@code='completed' or @nullFlavor] ist required [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-2.16.840.1.113883.2.6.60.12.10.24-2017-05-07T123926.html"
              test="count(hl7:statusCode[@code='completed' or @nullFlavor])&lt;=1">(Blutdruck): Element hl7:statusCode[@code='completed' or @nullFlavor] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-2.16.840.1.113883.2.6.60.12.10.24-2017-05-07T123926.html"
              test="count(hl7:effectiveTime)&gt;=1">(Blutdruck): Element hl7:effectiveTime ist required [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-2.16.840.1.113883.2.6.60.12.10.24-2017-05-07T123926.html"
              test="count(hl7:effectiveTime)&lt;=1">(Blutdruck): Element hl7:effectiveTime kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-2.16.840.1.113883.2.6.60.12.10.24-2017-05-07T123926.html"
              test="count(hl7:value)&gt;=1">(Blutdruck): Element hl7:value ist required [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-2.16.840.1.113883.2.6.60.12.10.24-2017-05-07T123926.html"
              test="count(hl7:value)&lt;=1">(Blutdruck): Element hl7:value kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.6.60.12.10.24
Context: *[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.24']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.24']]/hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.24']
Item: (Blutdruck)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.24']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.24']]/hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.24']"
         id="d127e11999-false-d143903e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-2.16.840.1.113883.2.6.60.12.10.24-2017-05-07T123926.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Blutdruck): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-2.16.840.1.113883.2.6.60.12.10.24-2017-05-07T123926.html"
              test="string(@root)=('2.16.840.1.113883.2.6.60.12.10.24')">(Blutdruck): Der Wert von @root MUSS '2.16.840.1.113883.2.6.60.12.10.24' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-2.16.840.1.113883.2.6.60.12.10.24-2017-05-07T123926.html"
              test="not(@root) or matches(@root,'^[0-2](\.(0|[1-9]\d*))*$') or matches(@root,'^[A-Fa-f\d]{8}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{12}$') or matches(@root,'^[A-Za-z][A-Za-z\d\-]*$')">(Blutdruck): Attribute @root MUSS vom Datentyp 'uid' sein</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.6.60.12.10.24
Context: *[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.24']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.24']]/hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.6.60.12.11.9-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor]
Item: (Blutdruck)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.24']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.24']]/hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.6.60.12.11.9-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor]"
         id="d127e12004-false-d143926e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-2.16.840.1.113883.2.6.60.12.10.24-2017-05-07T123926.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Blutdruck): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-2.16.840.1.113883.2.6.60.12.10.24-2017-05-07T123926.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.2.6.60.12.11.9-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(Blutdruck): Der Elementinhalt MUSS einer von '2.16.840.1.113883.2.6.60.12.11.9 Blutdruck (DYNAMIC)' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.6.60.12.10.24
Context: *[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.24']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.24']]/hl7:text
Item: (Blutdruck)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.24']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.24']]/hl7:text"
         id="d127e12009-false-d143951e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-2.16.840.1.113883.2.6.60.12.10.24-2017-05-07T123926.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Blutdruck): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ED" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ED"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.6.60.12.10.24
Context: *[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.24']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.24']]/hl7:statusCode[@code='completed' or @nullFlavor]
Item: (Blutdruck)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.24']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.24']]/hl7:statusCode[@code='completed' or @nullFlavor]"
         id="d127e12012-false-d143965e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-2.16.840.1.113883.2.6.60.12.10.24-2017-05-07T123926.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Blutdruck): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-2.16.840.1.113883.2.6.60.12.10.24-2017-05-07T123926.html"
              test="@nullFlavor or (@code='completed')">(Blutdruck): Der Elementinhalt MUSS einer von 'code 'completed'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.6.60.12.10.24
Context: *[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.24']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.24']]/hl7:effectiveTime
Item: (Blutdruck)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.24']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.24']]/hl7:effectiveTime"
         id="d127e12017-false-d143985e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-2.16.840.1.113883.2.6.60.12.10.24-2017-05-07T123926.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='IVL_TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Blutdruck): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:IVL_TS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="IVL_TS"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.6.60.12.10.24
Context: *[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.24']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.24']]/hl7:value
Item: (Blutdruck)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.24']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.24']]/hl7:value"
         id="d127e12019-false-d143999e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-2.16.840.1.113883.2.6.60.12.10.24-2017-05-07T123926.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='QTY' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Blutdruck): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:QTY" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="QTY"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-2.16.840.1.113883.2.6.60.12.10.24-2017-05-07T123926.html"
              test="(@nullFlavor or (@unit='mm[Hg]'))">(Blutdruck): value MUSS die Einheit 'mm[Hg]' nutzen </assert>
   </rule>
</pattern>
