<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.6.60.12.10.82
Name: Pflegebericht Entry
Description: 
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.6.60.12.10.82-2017-05-22T143153">
   <title>Pflegebericht Entry</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.6.60.12.10.82
Context: *[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.82']]]
Item: (PflegeberichtEntry)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.6.60.12.10.82
Context: *[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.82']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.82']]
Item: (PflegeberichtEntry)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.82']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.82']]"
         id="d127e12388-false-d144512e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-2.16.840.1.113883.2.6.60.12.10.82-2017-05-22T143153.html"
              test="string(@classCode)=('OBS') or not(@classCode)">(PflegeberichtEntry): Der Wert von @classCode MUSS 'OBS' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-2.16.840.1.113883.2.6.60.12.10.82-2017-05-22T143153.html"
              test="not(@classCode) or (string-length(@classCode)&gt;0 and not(matches(@classCode,'\s')))">(PflegeberichtEntry): Attribute @classCode MUSS vom Datentyp 'cs' sein</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-2.16.840.1.113883.2.6.60.12.10.82-2017-05-22T143153.html"
              test="string(@moodCode)=('EVN')">(PflegeberichtEntry): Der Wert von @moodCode MUSS 'EVN' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-2.16.840.1.113883.2.6.60.12.10.82-2017-05-22T143153.html"
              test="not(@moodCode) or (string-length(@moodCode)&gt;0 and not(matches(@moodCode,'\s')))">(PflegeberichtEntry): Attribute @moodCode MUSS vom Datentyp 'cs' sein</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-2.16.840.1.113883.2.6.60.12.10.82-2017-05-22T143153.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.82'])&gt;=1">(PflegeberichtEntry): Element hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.82'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-2.16.840.1.113883.2.6.60.12.10.82-2017-05-22T143153.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.82'])&lt;=1">(PflegeberichtEntry): Element hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.82'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-2.16.840.1.113883.2.6.60.12.10.82-2017-05-22T143153.html"
              test="count(hl7:id)&lt;=1">(PflegeberichtEntry): Element hl7:id kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-2.16.840.1.113883.2.6.60.12.10.82-2017-05-22T143153.html"
              test="count(hl7:code[(@code='5531000179105' and @codeSystem='2.16.840.1.113883.6.96') or @nullFlavor])&gt;=1">(PflegeberichtEntry): Element hl7:code[(@code='5531000179105' and @codeSystem='2.16.840.1.113883.6.96') or @nullFlavor] ist required [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-2.16.840.1.113883.2.6.60.12.10.82-2017-05-22T143153.html"
              test="count(hl7:code[(@code='5531000179105' and @codeSystem='2.16.840.1.113883.6.96') or @nullFlavor])&lt;=1">(PflegeberichtEntry): Element hl7:code[(@code='5531000179105' and @codeSystem='2.16.840.1.113883.6.96') or @nullFlavor] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-2.16.840.1.113883.2.6.60.12.10.82-2017-05-22T143153.html"
              test="count(hl7:text)&lt;=1">(PflegeberichtEntry): Element hl7:text kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-2.16.840.1.113883.2.6.60.12.10.82-2017-05-22T143153.html"
              test="count(hl7:statusCode)&lt;=1">(PflegeberichtEntry): Element hl7:statusCode kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-2.16.840.1.113883.2.6.60.12.10.82-2017-05-22T143153.html"
              test="count(hl7:effectiveTime[not(@nullFlavor)])&gt;=1">(PflegeberichtEntry): Element hl7:effectiveTime[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-2.16.840.1.113883.2.6.60.12.10.82-2017-05-22T143153.html"
              test="count(hl7:effectiveTime[not(@nullFlavor)])&lt;=1">(PflegeberichtEntry): Element hl7:effectiveTime[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-2.16.840.1.113883.2.6.60.12.10.82-2017-05-22T143153.html"
              test="count(hl7:value[not(@nullFlavor)])&gt;=1">(PflegeberichtEntry): Element hl7:value[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-2.16.840.1.113883.2.6.60.12.10.82-2017-05-22T143153.html"
              test="count(hl7:value[not(@nullFlavor)])&lt;=1">(PflegeberichtEntry): Element hl7:value[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.6.60.12.10.82
Context: *[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.82']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.82']]/hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.82']
Item: (PflegeberichtEntry)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.82']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.82']]/hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.82']"
         id="d127e12394-false-d144611e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-2.16.840.1.113883.2.6.60.12.10.82-2017-05-22T143153.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(PflegeberichtEntry): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-2.16.840.1.113883.2.6.60.12.10.82-2017-05-22T143153.html"
              test="string(@root)=('2.16.840.1.113883.2.6.60.12.10.82')">(PflegeberichtEntry): Der Wert von @root MUSS '2.16.840.1.113883.2.6.60.12.10.82' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-2.16.840.1.113883.2.6.60.12.10.82-2017-05-22T143153.html"
              test="not(@root) or matches(@root,'^[0-2](\.(0|[1-9]\d*))*$') or matches(@root,'^[A-Fa-f\d]{8}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{12}$') or matches(@root,'^[A-Za-z][A-Za-z\d\-]*$')">(PflegeberichtEntry): Attribute @root MUSS vom Datentyp 'uid' sein</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.6.60.12.10.82
Context: *[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.82']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.82']]/hl7:id
Item: (PflegeberichtEntry)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.82']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.82']]/hl7:id"
         id="d127e12399-false-d144632e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-2.16.840.1.113883.2.6.60.12.10.82-2017-05-22T143153.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(PflegeberichtEntry): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.6.60.12.10.82
Context: *[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.82']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.82']]/hl7:code[(@code='5531000179105' and @codeSystem='2.16.840.1.113883.6.96') or @nullFlavor]
Item: (PflegeberichtEntry)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.82']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.82']]/hl7:code[(@code='5531000179105' and @codeSystem='2.16.840.1.113883.6.96') or @nullFlavor]"
         id="d127e12401-false-d144646e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-2.16.840.1.113883.2.6.60.12.10.82-2017-05-22T143153.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(PflegeberichtEntry): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-2.16.840.1.113883.2.6.60.12.10.82-2017-05-22T143153.html"
              test="@nullFlavor or (@code='5531000179105' and @codeSystem='2.16.840.1.113883.6.96' and @displayName='Nursing report (record artifact)' and @codeSystemName='SNOMED CT')">(PflegeberichtEntry): Der Elementinhalt MUSS einer von 'code '5531000179105' codeSystem '2.16.840.1.113883.6.96' displayName='Nursing report (record artifact)' codeSystemName='SNOMED CT'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.6.60.12.10.82
Context: *[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.82']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.82']]/hl7:text
Item: (PflegeberichtEntry)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.82']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.82']]/hl7:text"
         id="d127e12407-false-d144666e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-2.16.840.1.113883.2.6.60.12.10.82-2017-05-22T143153.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(PflegeberichtEntry): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ED" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ED"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.6.60.12.10.82
Context: *[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.82']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.82']]/hl7:statusCode
Item: (PflegeberichtEntry)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.82']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.82']]/hl7:statusCode"
         id="d127e12409-false-d144680e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-2.16.840.1.113883.2.6.60.12.10.82-2017-05-22T143153.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(PflegeberichtEntry): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-2.16.840.1.113883.2.6.60.12.10.82-2017-05-22T143153.html"
              test="@nullFlavor or (@code='completed')">(PflegeberichtEntry): Der Elementinhalt MUSS einer von 'code 'completed'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.6.60.12.10.82
Context: *[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.82']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.82']]/hl7:effectiveTime[not(@nullFlavor)]
Item: (PflegeberichtEntry)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.82']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.82']]/hl7:effectiveTime[not(@nullFlavor)]"
         id="d127e12414-false-d144700e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-2.16.840.1.113883.2.6.60.12.10.82-2017-05-22T143153.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='IVL_TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(PflegeberichtEntry): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:IVL_TS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="IVL_TS"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.6.60.12.10.82
Context: *[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.82']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.82']]/hl7:value[not(@nullFlavor)]
Item: (PflegeberichtEntry)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.82']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.82']]/hl7:value[not(@nullFlavor)]"
         id="d127e12416-false-d144714e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-2.16.840.1.113883.2.6.60.12.10.82-2017-05-22T143153.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='SD.TEXT' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(PflegeberichtEntry): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:SD.TEXT" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="SD.TEXT"/>
   </rule>
</pattern>
