<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.276.0.76.10.3082
Name: Verbrauchsartikel
Description: 
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.276.0.76.10.3082-2017-04-24T000000">
   <title>Verbrauchsartikel</title>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3082
Context: *[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3082']]]
Item: (Verbrauchsartikel)
-->

   <!--
Template derived rules for ID: 1.2.276.0.76.10.3082
Context: *[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3082']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3082']]
Item: (Verbrauchsartikel)
-->

   <rule context="*[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3082']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3082']]"
         id="d127e2018-false-d83219e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3082-2017-04-24T000000.html"
              test="count(hl7:templateId[@root='1.2.276.0.76.10.3082'])&gt;=1">(Verbrauchsartikel): Element hl7:templateId[@root='1.2.276.0.76.10.3082'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3082-2017-04-24T000000.html"
              test="count(hl7:templateId[@root='1.2.276.0.76.10.3082'])&lt;=1">(Verbrauchsartikel): Element hl7:templateId[@root='1.2.276.0.76.10.3082'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3082-2017-04-24T000000.html"
              test="count(hl7:id)&gt;=1">(Verbrauchsartikel): Element hl7:id ist required [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3082-2017-04-24T000000.html"
              test="count(hl7:id)&lt;=1">(Verbrauchsartikel): Element hl7:id kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3082-2017-04-24T000000.html"
              test="count(hl7:code[(@code='82215-5' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)])&gt;=1">(Verbrauchsartikel): Element hl7:code[(@code='82215-5' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3082-2017-04-24T000000.html"
              test="count(hl7:code[(@code='82215-5' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)])&lt;=1">(Verbrauchsartikel): Element hl7:code[(@code='82215-5' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3082-2017-04-24T000000.html"
              test="count(hl7:title[not(@nullFlavor)])&gt;=1">(Verbrauchsartikel): Element hl7:title[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3082-2017-04-24T000000.html"
              test="count(hl7:title[not(@nullFlavor)])&lt;=1">(Verbrauchsartikel): Element hl7:title[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3082-2017-04-24T000000.html"
              test="count(hl7:text[not(@nullFlavor)])&gt;=1">(Verbrauchsartikel): Element hl7:text[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3082-2017-04-24T000000.html"
              test="count(hl7:text[not(@nullFlavor)])&lt;=1">(Verbrauchsartikel): Element hl7:text[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3082
Context: *[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3082']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3082']]/hl7:templateId[@root='1.2.276.0.76.10.3082']
Item: (Verbrauchsartikel)
-->

   <rule context="*[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3082']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3082']]/hl7:templateId[@root='1.2.276.0.76.10.3082']"
         id="d127e2020-false-d83290e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3082-2017-04-24T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Verbrauchsartikel): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3082-2017-04-24T000000.html"
              test="string(@root)=('1.2.276.0.76.10.3082')">(Verbrauchsartikel): Der Wert von @root MUSS '1.2.276.0.76.10.3082' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3082
Context: *[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3082']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3082']]/hl7:id
Item: (Verbrauchsartikel)
-->

   <rule context="*[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3082']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3082']]/hl7:id"
         id="d127e2025-false-d83308e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3082-2017-04-24T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Verbrauchsartikel): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3082
Context: *[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3082']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3082']]/hl7:code[(@code='82215-5' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)]
Item: (Verbrauchsartikel)
-->

   <rule context="*[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3082']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3082']]/hl7:code[(@code='82215-5' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)]"
         id="d127e2027-false-d83322e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3082-2017-04-24T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Verbrauchsartikel): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3082-2017-04-24T000000.html"
              test="@nullFlavor or (@code='82215-5' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Medical equipment or product list' and @codeSystemName='LOINC')">(Verbrauchsartikel): Der Elementinhalt MUSS einer von 'code '82215-5' codeSystem '2.16.840.1.113883.6.1' displayName='Medical equipment or product list' codeSystemName='LOINC'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3082
Context: *[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3082']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3082']]/hl7:title[not(@nullFlavor)]
Item: (Verbrauchsartikel)
-->

   <rule context="*[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3082']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3082']]/hl7:title[not(@nullFlavor)]"
         id="d127e2032-false-d83342e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3082-2017-04-24T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Verbrauchsartikel): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ST" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ST"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3082-2017-04-24T000000.html"
              test="text()='Verbrauchsartikel'">(Verbrauchsartikel): Der Elementinhalt von 'hl7:title[not(@nullFlavor)]' MUSS ''Verbrauchsartikel'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3082
Context: *[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3082']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3082']]/hl7:text[not(@nullFlavor)]
Item: (Verbrauchsartikel)
-->

   <rule context="*[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3082']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3082']]/hl7:text[not(@nullFlavor)]"
         id="d127e2038-false-d83360e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3082-2017-04-24T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='SD.TEXT' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Verbrauchsartikel): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:SD.TEXT" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="SD.TEXT"/>
   </rule>
</pattern>
