<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.276.0.76.10.3086
Name: Bilanzierung
Description: Bilanzierung
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.276.0.76.10.3086-2017-04-24T000000">
   <title>Bilanzierung</title>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3086
Context: *[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3086']]]
Item: (Bilanzierung)
-->

   <!--
Template derived rules for ID: 1.2.276.0.76.10.3086
Context: *[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3086']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3086']]
Item: (Bilanzierung)
-->

   <rule context="*[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3086']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3086']]"
         id="d127e2217-false-d86580e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3086-2017-04-24T000000.html"
              test="count(hl7:templateId[@root='1.2.276.0.76.10.3086'])&gt;=1">(Bilanzierung): Element hl7:templateId[@root='1.2.276.0.76.10.3086'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3086-2017-04-24T000000.html"
              test="count(hl7:templateId[@root='1.2.276.0.76.10.3086'])&lt;=1">(Bilanzierung): Element hl7:templateId[@root='1.2.276.0.76.10.3086'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3086-2017-04-24T000000.html"
              test="count(hl7:id)&lt;=1">(Bilanzierung): Element hl7:id kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3086-2017-04-24T000000.html"
              test="count(hl7:code[(@code='61148-3' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)])&gt;=1">(Bilanzierung): Element hl7:code[(@code='61148-3' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3086-2017-04-24T000000.html"
              test="count(hl7:code[(@code='61148-3' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)])&lt;=1">(Bilanzierung): Element hl7:code[(@code='61148-3' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3086-2017-04-24T000000.html"
              test="count(hl7:title[not(@nullFlavor)])&gt;=1">(Bilanzierung): Element hl7:title[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3086-2017-04-24T000000.html"
              test="count(hl7:title[not(@nullFlavor)])&lt;=1">(Bilanzierung): Element hl7:title[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3086-2017-04-24T000000.html"
              test="count(hl7:text[not(@nullFlavor)])&gt;=1">(Bilanzierung): Element hl7:text[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3086-2017-04-24T000000.html"
              test="count(hl7:text[not(@nullFlavor)])&lt;=1">(Bilanzierung): Element hl7:text[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3086
Context: *[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3086']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3086']]/hl7:templateId[@root='1.2.276.0.76.10.3086']
Item: (Bilanzierung)
-->

   <rule context="*[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3086']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3086']]/hl7:templateId[@root='1.2.276.0.76.10.3086']"
         id="d127e2219-false-d86775e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3086-2017-04-24T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Bilanzierung): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3086-2017-04-24T000000.html"
              test="string(@root)=('1.2.276.0.76.10.3086')">(Bilanzierung): Der Wert von @root MUSS '1.2.276.0.76.10.3086' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3086-2017-04-24T000000.html"
              test="not(@root) or matches(@root,'^[0-2](\.(0|[1-9]\d*))*$') or matches(@root,'^[A-Fa-f\d]{8}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{12}$') or matches(@root,'^[A-Za-z][A-Za-z\d\-]*$')">(Bilanzierung): Attribute @root MUSS vom Datentyp 'uid' sein</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3086
Context: *[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3086']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3086']]/hl7:id
Item: (Bilanzierung)
-->

   <rule context="*[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3086']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3086']]/hl7:id"
         id="d127e2224-false-d86796e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3086-2017-04-24T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Bilanzierung): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3086
Context: *[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3086']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3086']]/hl7:code[(@code='61148-3' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)]
Item: (Bilanzierung)
-->

   <rule context="*[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3086']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3086']]/hl7:code[(@code='61148-3' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)]"
         id="d127e2226-false-d86810e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3086-2017-04-24T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Bilanzierung): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3086-2017-04-24T000000.html"
              test="@nullFlavor or (@code='61148-3' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Intake and output Narrative' and @codeSystemName='LOINC')">(Bilanzierung): Der Elementinhalt MUSS einer von 'code '61148-3' codeSystem '2.16.840.1.113883.6.1' displayName='Intake and output Narrative' codeSystemName='LOINC'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3086
Context: *[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3086']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3086']]/hl7:title[not(@nullFlavor)]
Item: (Bilanzierung)
-->

   <rule context="*[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3086']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3086']]/hl7:title[not(@nullFlavor)]"
         id="d127e2231-false-d86830e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3086-2017-04-24T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Bilanzierung): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ST" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ST"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3086-2017-04-24T000000.html"
              test="text()='Bilanzierung'">(Bilanzierung): Der Elementinhalt von 'hl7:title[not(@nullFlavor)]' MUSS ''Bilanzierung'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3086
Context: *[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3086']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3086']]/hl7:text[not(@nullFlavor)]
Item: (Bilanzierung)
-->

   <rule context="*[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3086']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3086']]/hl7:text[not(@nullFlavor)]"
         id="d127e2237-false-d86848e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3086-2017-04-24T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='SD.TEXT' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Bilanzierung): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:SD.TEXT" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="SD.TEXT"/>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.10.3086
Context: *[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3086']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3086']]/hl7:entry[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4202']]]
Item: (Bilanzierung)
-->
   <rule context="*[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3086']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3086']]/hl7:entry[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4202']]]">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3086-2017-04-24T000000.html"
              test="string(@typeCode)=('COMP')">(Bilanzierung): Der Wert von @typeCode MUSS 'COMP' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3086-2017-04-24T000000.html"
              test="not(@typeCode) or (string-length(@typeCode)&gt;0 and not(matches(@typeCode,'\s')))">(Bilanzierung): Attribute @typeCode MUSS vom Datentyp 'cs' sein</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3086-2017-04-24T000000.html"
              test="string(@contextConductionInd)=('true') or not(@contextConductionInd)">(Bilanzierung): Der Wert von @contextConductionInd MUSS 'true' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3086-2017-04-24T000000.html"
              test="not(@contextConductionInd) or string(@contextConductionInd)=('true','false')">(Bilanzierung): Attribute @contextConductionInd MUSS vom Datentyp 'bl' sein</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.10.3086
Context: *[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3086']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3086']]/hl7:entry[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4203']]]
Item: (Bilanzierung)
-->
   <rule context="*[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3086']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3086']]/hl7:entry[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4203']]]">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3086-2017-04-24T000000.html"
              test="string(@typeCode)=('COMP')">(Bilanzierung): Der Wert von @typeCode MUSS 'COMP' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3086-2017-04-24T000000.html"
              test="not(@typeCode) or (string-length(@typeCode)&gt;0 and not(matches(@typeCode,'\s')))">(Bilanzierung): Attribute @typeCode MUSS vom Datentyp 'cs' sein</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3086-2017-04-24T000000.html"
              test="string(@contextConductionInd)=('true') or not(@contextConductionInd)">(Bilanzierung): Der Wert von @contextConductionInd MUSS 'true' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3086-2017-04-24T000000.html"
              test="not(@contextConductionInd) or string(@contextConductionInd)=('true','false')">(Bilanzierung): Attribute @contextConductionInd MUSS vom Datentyp 'bl' sein</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.10.3086
Context: *[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3086']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3086']]/hl7:entry[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4204']]]
Item: (Bilanzierung)
-->
   <rule context="*[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3086']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3086']]/hl7:entry[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4204']]]">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3086-2017-04-24T000000.html"
              test="string(@typeCode)=('COMP')">(Bilanzierung): Der Wert von @typeCode MUSS 'COMP' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3086-2017-04-24T000000.html"
              test="not(@typeCode) or (string-length(@typeCode)&gt;0 and not(matches(@typeCode,'\s')))">(Bilanzierung): Attribute @typeCode MUSS vom Datentyp 'cs' sein</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3086-2017-04-24T000000.html"
              test="string(@contextConductionInd)=('true') or not(@contextConductionInd)">(Bilanzierung): Der Wert von @contextConductionInd MUSS 'true' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3086-2017-04-24T000000.html"
              test="not(@contextConductionInd) or string(@contextConductionInd)=('true','false')">(Bilanzierung): Attribute @contextConductionInd MUSS vom Datentyp 'bl' sein</assert>
   </rule>
</pattern>
