<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.276.0.76.10.3094
Name: Spezielle therapeutische Aspekte
Description: 
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.276.0.76.10.3094-2017-05-01T000000">
   <title>Spezielle therapeutische Aspekte</title>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3094
Context: *[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3094']]]
Item: (Spezielletherapeutischeaspekte)
-->

   <!--
Template derived rules for ID: 1.2.276.0.76.10.3094
Context: *[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3094']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3094']]
Item: (Spezielletherapeutischeaspekte)
-->

   <rule context="*[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3094']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3094']]"
         id="d127e2604-false-d96170e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3094-2017-05-01T000000.html"
              test="string(@classCode)=('DOCSECT') or not(@classCode)">(Spezielletherapeutischeaspekte): Der Wert von @classCode MUSS 'DOCSECT' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3094-2017-05-01T000000.html"
              test="not(@classCode) or (string-length(@classCode)&gt;0 and not(matches(@classCode,'\s')))">(Spezielletherapeutischeaspekte): Attribute @classCode MUSS vom Datentyp 'cs' sein</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3094-2017-05-01T000000.html"
              test="string(@moodCode)=('EVN') or not(@moodCode)">(Spezielletherapeutischeaspekte): Der Wert von @moodCode MUSS 'EVN' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3094-2017-05-01T000000.html"
              test="not(@moodCode) or (string-length(@moodCode)&gt;0 and not(matches(@moodCode,'\s')))">(Spezielletherapeutischeaspekte): Attribute @moodCode MUSS vom Datentyp 'cs' sein</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3094-2017-05-01T000000.html"
              test="count(hl7:templateId[@root='1.2.276.0.76.10.3094'])&gt;=1">(Spezielletherapeutischeaspekte): Element hl7:templateId[@root='1.2.276.0.76.10.3094'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3094-2017-05-01T000000.html"
              test="count(hl7:templateId[@root='1.2.276.0.76.10.3094'])&lt;=1">(Spezielletherapeutischeaspekte): Element hl7:templateId[@root='1.2.276.0.76.10.3094'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3094-2017-05-01T000000.html"
              test="count(hl7:id)&lt;=1">(Spezielletherapeutischeaspekte): Element hl7:id kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3094-2017-05-01T000000.html"
              test="count(hl7:code[(@code='X-ANCCARE' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)])&gt;=1">(Spezielletherapeutischeaspekte): Element hl7:code[(@code='X-ANCCARE' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3094-2017-05-01T000000.html"
              test="count(hl7:code[(@code='X-ANCCARE' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)])&lt;=1">(Spezielletherapeutischeaspekte): Element hl7:code[(@code='X-ANCCARE' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3094-2017-05-01T000000.html"
              test="count(hl7:title[not(@nullFlavor)])&gt;=1">(Spezielletherapeutischeaspekte): Element hl7:title[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3094-2017-05-01T000000.html"
              test="count(hl7:title[not(@nullFlavor)])&lt;=1">(Spezielletherapeutischeaspekte): Element hl7:title[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3094-2017-05-01T000000.html"
              test="count(hl7:text[not(@nullFlavor)])&gt;=1">(Spezielletherapeutischeaspekte): Element hl7:text[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3094-2017-05-01T000000.html"
              test="count(hl7:text[not(@nullFlavor)])&lt;=1">(Spezielletherapeutischeaspekte): Element hl7:text[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3094
Context: *[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3094']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3094']]/hl7:templateId[@root='1.2.276.0.76.10.3094']
Item: (Spezielletherapeutischeaspekte)
-->

   <rule context="*[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3094']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3094']]/hl7:templateId[@root='1.2.276.0.76.10.3094']"
         id="d127e2610-false-d96413e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3094-2017-05-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Spezielletherapeutischeaspekte): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3094-2017-05-01T000000.html"
              test="string(@root)=('1.2.276.0.76.10.3094')">(Spezielletherapeutischeaspekte): Der Wert von @root MUSS '1.2.276.0.76.10.3094' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3094-2017-05-01T000000.html"
              test="not(@root) or matches(@root,'^[0-2](\.(0|[1-9]\d*))*$') or matches(@root,'^[A-Fa-f\d]{8}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{12}$') or matches(@root,'^[A-Za-z][A-Za-z\d\-]*$')">(Spezielletherapeutischeaspekte): Attribute @root MUSS vom Datentyp 'uid' sein</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3094
Context: *[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3094']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3094']]/hl7:id
Item: (Spezielletherapeutischeaspekte)
-->

   <rule context="*[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3094']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3094']]/hl7:id"
         id="d127e2615-false-d96434e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3094-2017-05-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Spezielletherapeutischeaspekte): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3094
Context: *[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3094']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3094']]/hl7:code[(@code='X-ANCCARE' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)]
Item: (Spezielletherapeutischeaspekte)
-->

   <rule context="*[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3094']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3094']]/hl7:code[(@code='X-ANCCARE' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)]"
         id="d127e2617-false-d96448e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3094-2017-05-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Spezielletherapeutischeaspekte): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3094-2017-05-01T000000.html"
              test="@nullFlavor or (@code='X-ANCCARE' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Professional / ancillary services care' and @codeSystemName='LOINC')">(Spezielletherapeutischeaspekte): Der Elementinhalt MUSS einer von 'code 'X-ANCCARE' codeSystem '2.16.840.1.113883.6.1' displayName='Professional / ancillary services care' codeSystemName='LOINC'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3094
Context: *[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3094']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3094']]/hl7:title[not(@nullFlavor)]
Item: (Spezielletherapeutischeaspekte)
-->

   <rule context="*[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3094']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3094']]/hl7:title[not(@nullFlavor)]"
         id="d127e2623-false-d96468e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3094-2017-05-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Spezielletherapeutischeaspekte): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ST" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ST"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3094-2017-05-01T000000.html"
              test="text()='Spezielle therapeutische Aspekte'">(Spezielletherapeutischeaspekte): Der Elementinhalt von 'hl7:title[not(@nullFlavor)]' MUSS ''Spezielle therapeutische Aspekte'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3094
Context: *[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3094']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3094']]/hl7:text[not(@nullFlavor)]
Item: (Spezielletherapeutischeaspekte)
-->

   <rule context="*[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3094']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3094']]/hl7:text[not(@nullFlavor)]"
         id="d127e2629-false-d96486e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3094-2017-05-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='SD.TEXT' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Spezielletherapeutischeaspekte): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:SD.TEXT" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="SD.TEXT"/>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.10.3094
Context: *[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3094']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3094']]/hl7:entry[hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4227']]]
Item: (Spezielletherapeutischeaspekte)
-->
   <rule context="*[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3094']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3094']]/hl7:entry[hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4227']]]">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3094-2017-05-01T000000.html"
              test="string(@typeCode)=('COMP')">(Spezielletherapeutischeaspekte): Der Wert von @typeCode MUSS 'COMP' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3094-2017-05-01T000000.html"
              test="not(@typeCode) or (string-length(@typeCode)&gt;0 and not(matches(@typeCode,'\s')))">(Spezielletherapeutischeaspekte): Attribute @typeCode MUSS vom Datentyp 'cs' sein</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3094-2017-05-01T000000.html"
              test="string(@contextConductionInd)=('true') or not(@contextConductionInd)">(Spezielletherapeutischeaspekte): Der Wert von @contextConductionInd MUSS 'true' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3094-2017-05-01T000000.html"
              test="not(@contextConductionInd) or string(@contextConductionInd)=('true','false')">(Spezielletherapeutischeaspekte): Attribute @contextConductionInd MUSS vom Datentyp 'bl' sein</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.10.3094
Context: *[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3094']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3094']]/hl7:entry[hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4228']]]
Item: (Spezielletherapeutischeaspekte)
-->
   <rule context="*[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3094']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3094']]/hl7:entry[hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4228']]]">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3094-2017-05-01T000000.html"
              test="string(@typeCode)=('COMP')">(Spezielletherapeutischeaspekte): Der Wert von @typeCode MUSS 'COMP' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3094-2017-05-01T000000.html"
              test="not(@typeCode) or (string-length(@typeCode)&gt;0 and not(matches(@typeCode,'\s')))">(Spezielletherapeutischeaspekte): Attribute @typeCode MUSS vom Datentyp 'cs' sein</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3094-2017-05-01T000000.html"
              test="string(@contextConductionInd)=('true') or not(@contextConductionInd)">(Spezielletherapeutischeaspekte): Der Wert von @contextConductionInd MUSS 'true' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3094-2017-05-01T000000.html"
              test="not(@contextConductionInd) or string(@contextConductionInd)=('true','false')">(Spezielletherapeutischeaspekte): Attribute @contextConductionInd MUSS vom Datentyp 'bl' sein</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.10.3094
Context: *[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3094']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3094']]/hl7:entry[hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4229']]]
Item: (Spezielletherapeutischeaspekte)
-->
   <rule context="*[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3094']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3094']]/hl7:entry[hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4229']]]">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3094-2017-05-01T000000.html"
              test="string(@typeCode)=('COMP')">(Spezielletherapeutischeaspekte): Der Wert von @typeCode MUSS 'COMP' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3094-2017-05-01T000000.html"
              test="not(@typeCode) or (string-length(@typeCode)&gt;0 and not(matches(@typeCode,'\s')))">(Spezielletherapeutischeaspekte): Attribute @typeCode MUSS vom Datentyp 'cs' sein</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3094-2017-05-01T000000.html"
              test="string(@contextConductionInd)=('true') or not(@contextConductionInd)">(Spezielletherapeutischeaspekte): Der Wert von @contextConductionInd MUSS 'true' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3094-2017-05-01T000000.html"
              test="not(@contextConductionInd) or string(@contextConductionInd)=('true','false')">(Spezielletherapeutischeaspekte): Attribute @contextConductionInd MUSS vom Datentyp 'bl' sein</assert>
   </rule>
</pattern>
