<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.276.0.76.10.3096
Name: Beatmungsgerätecheck
Description: 
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.276.0.76.10.3096-2017-05-01T000000">
   <title>Beatmungsgerätecheck</title>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3096
Context: *[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3096']]]
Item: (Beatmungsgeraetecheck)
-->

   <!--
Template derived rules for ID: 1.2.276.0.76.10.3096
Context: *[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3096']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3096']]
Item: (Beatmungsgeraetecheck)
-->

   <rule context="*[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3096']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3096']]"
         id="d127e2699-false-d96943e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3096-2017-05-01T000000.html"
              test="string(@classCode)=('DOCSECT') or not(@classCode)">(Beatmungsgeraetecheck): Der Wert von @classCode MUSS 'DOCSECT' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3096-2017-05-01T000000.html"
              test="not(@classCode) or (string-length(@classCode)&gt;0 and not(matches(@classCode,'\s')))">(Beatmungsgeraetecheck): Attribute @classCode MUSS vom Datentyp 'cs' sein</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3096-2017-05-01T000000.html"
              test="string(@moodCode)=('EVN') or not(@moodCode)">(Beatmungsgeraetecheck): Der Wert von @moodCode MUSS 'EVN' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3096-2017-05-01T000000.html"
              test="not(@moodCode) or (string-length(@moodCode)&gt;0 and not(matches(@moodCode,'\s')))">(Beatmungsgeraetecheck): Attribute @moodCode MUSS vom Datentyp 'cs' sein</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3096-2017-05-01T000000.html"
              test="count(hl7:templateId[@root='1.2.276.0.76.10.3096'])&gt;=1">(Beatmungsgeraetecheck): Element hl7:templateId[@root='1.2.276.0.76.10.3096'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3096-2017-05-01T000000.html"
              test="count(hl7:templateId[@root='1.2.276.0.76.10.3096'])&lt;=1">(Beatmungsgeraetecheck): Element hl7:templateId[@root='1.2.276.0.76.10.3096'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3096-2017-05-01T000000.html"
              test="count(hl7:id)&lt;=1">(Beatmungsgeraetecheck): Element hl7:id kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3096-2017-05-01T000000.html"
              test="count(hl7:code[(@code='X-DEVCHKRPT' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)])&gt;=1">(Beatmungsgeraetecheck): Element hl7:code[(@code='X-DEVCHKRPT' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3096-2017-05-01T000000.html"
              test="count(hl7:code[(@code='X-DEVCHKRPT' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)])&lt;=1">(Beatmungsgeraetecheck): Element hl7:code[(@code='X-DEVCHKRPT' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3096-2017-05-01T000000.html"
              test="count(hl7:title[not(@nullFlavor)])&gt;=1">(Beatmungsgeraetecheck): Element hl7:title[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3096-2017-05-01T000000.html"
              test="count(hl7:title[not(@nullFlavor)])&lt;=1">(Beatmungsgeraetecheck): Element hl7:title[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3096-2017-05-01T000000.html"
              test="count(hl7:text[not(@nullFlavor)])&gt;=1">(Beatmungsgeraetecheck): Element hl7:text[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3096-2017-05-01T000000.html"
              test="count(hl7:text[not(@nullFlavor)])&lt;=1">(Beatmungsgeraetecheck): Element hl7:text[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3096-2017-05-01T000000.html"
              test="count(hl7:entry[hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4235']]])&lt;=1">(Beatmungsgeraetecheck): Element hl7:entry[hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4235']]] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3096
Context: *[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3096']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3096']]/hl7:templateId[@root='1.2.276.0.76.10.3096']
Item: (Beatmungsgeraetecheck)
-->

   <rule context="*[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3096']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3096']]/hl7:templateId[@root='1.2.276.0.76.10.3096']"
         id="d127e2705-false-d97063e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3096-2017-05-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Beatmungsgeraetecheck): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3096-2017-05-01T000000.html"
              test="string(@root)=('1.2.276.0.76.10.3096')">(Beatmungsgeraetecheck): Der Wert von @root MUSS '1.2.276.0.76.10.3096' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3096-2017-05-01T000000.html"
              test="not(@root) or matches(@root,'^[0-2](\.(0|[1-9]\d*))*$') or matches(@root,'^[A-Fa-f\d]{8}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{12}$') or matches(@root,'^[A-Za-z][A-Za-z\d\-]*$')">(Beatmungsgeraetecheck): Attribute @root MUSS vom Datentyp 'uid' sein</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3096
Context: *[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3096']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3096']]/hl7:id
Item: (Beatmungsgeraetecheck)
-->

   <rule context="*[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3096']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3096']]/hl7:id"
         id="d127e2710-false-d97084e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3096-2017-05-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Beatmungsgeraetecheck): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3096
Context: *[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3096']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3096']]/hl7:code[(@code='X-DEVCHKRPT' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)]
Item: (Beatmungsgeraetecheck)
-->

   <rule context="*[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3096']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3096']]/hl7:code[(@code='X-DEVCHKRPT' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)]"
         id="d127e2712-false-d97098e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3096-2017-05-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Beatmungsgeraetecheck): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3096-2017-05-01T000000.html"
              test="@nullFlavor or (@code='X-DEVCHKRPT' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Gerätecheck-Report/Ergebnis')">(Beatmungsgeraetecheck): Der Elementinhalt MUSS einer von 'code 'X-DEVCHKRPT' codeSystem '2.16.840.1.113883.6.1' displayName='Gerätecheck-Report/Ergebnis'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3096
Context: *[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3096']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3096']]/hl7:title[not(@nullFlavor)]
Item: (Beatmungsgeraetecheck)
-->

   <rule context="*[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3096']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3096']]/hl7:title[not(@nullFlavor)]"
         id="d127e2718-false-d97118e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3096-2017-05-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Beatmungsgeraetecheck): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ST" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ST"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3096-2017-05-01T000000.html"
              test="text()='Beatmungsgerätecheck'">(Beatmungsgeraetecheck): Der Elementinhalt von 'hl7:title[not(@nullFlavor)]' MUSS ''Beatmungsgerätecheck'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3096
Context: *[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3096']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3096']]/hl7:text[not(@nullFlavor)]
Item: (Beatmungsgeraetecheck)
-->

   <rule context="*[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3096']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3096']]/hl7:text[not(@nullFlavor)]"
         id="d127e2724-false-d97136e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3096-2017-05-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='SD.TEXT' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Beatmungsgeraetecheck): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:SD.TEXT" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="SD.TEXT"/>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.10.3096
Context: *[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3096']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3096']]/hl7:entry[hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4235']]]
Item: (Beatmungsgeraetecheck)
-->
   <rule context="*[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3096']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3096']]/hl7:entry[hl7:procedure[hl7:templateId[@root='1.2.276.0.76.10.4235']]]">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3096-2017-05-01T000000.html"
              test="string(@typeCode)=('COMP')">(Beatmungsgeraetecheck): Der Wert von @typeCode MUSS 'COMP' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3096-2017-05-01T000000.html"
              test="not(@typeCode) or (string-length(@typeCode)&gt;0 and not(matches(@typeCode,'\s')))">(Beatmungsgeraetecheck): Attribute @typeCode MUSS vom Datentyp 'cs' sein</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3096-2017-05-01T000000.html"
              test="string(@contextConductionInd)=('true') or not(@contextConductionInd)">(Beatmungsgeraetecheck): Der Wert von @contextConductionInd MUSS 'true' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.3096-2017-05-01T000000.html"
              test="not(@contextConductionInd) or string(@contextConductionInd)=('true','false')">(Beatmungsgeraetecheck): Attribute @contextConductionInd MUSS vom Datentyp 'bl' sein</assert>
   </rule>
</pattern>
