<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.276.0.76.10.4211
Name: Absaugfrequenz
Description: Absaugfrequenz
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.276.0.76.10.4211-2017-05-15T000000">
   <title>Absaugfrequenz</title>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4211
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4211']]]
Item: (Absaugfrequenz)
-->

   <!--
Template derived rules for ID: 1.2.276.0.76.10.4211
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4211']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4211']]
Item: (Absaugfrequenz)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4211']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4211']]"
         id="d127e8677-false-d123595e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4211-2017-05-15T000000.html"
              test="string(@classCode)=('OBS') or not(@classCode)">(Absaugfrequenz): Der Wert von @classCode MUSS 'OBS' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4211-2017-05-15T000000.html"
              test="not(@classCode) or (string-length(@classCode)&gt;0 and not(matches(@classCode,'\s')))">(Absaugfrequenz): Attribute @classCode MUSS vom Datentyp 'cs' sein</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4211-2017-05-15T000000.html"
              test="string(@moodCode)=('EVN')">(Absaugfrequenz): Der Wert von @moodCode MUSS 'EVN' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4211-2017-05-15T000000.html"
              test="not(@moodCode) or (string-length(@moodCode)&gt;0 and not(matches(@moodCode,'\s')))">(Absaugfrequenz): Attribute @moodCode MUSS vom Datentyp 'cs' sein</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4211-2017-05-15T000000.html"
              test="count(hl7:templateId[@root='1.2.276.0.76.10.4211'])&gt;=1">(Absaugfrequenz): Element hl7:templateId[@root='1.2.276.0.76.10.4211'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4211-2017-05-15T000000.html"
              test="count(hl7:templateId[@root='1.2.276.0.76.10.4211'])&lt;=1">(Absaugfrequenz): Element hl7:templateId[@root='1.2.276.0.76.10.4211'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4211-2017-05-15T000000.html"
              test="count(hl7:id)&lt;=1">(Absaugfrequenz): Element hl7:id kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4211-2017-05-15T000000.html"
              test="count(hl7:code[(@code='X-SUCFRQ' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)])&gt;=1">(Absaugfrequenz): Element hl7:code[(@code='X-SUCFRQ' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4211-2017-05-15T000000.html"
              test="count(hl7:code[(@code='X-SUCFRQ' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)])&lt;=1">(Absaugfrequenz): Element hl7:code[(@code='X-SUCFRQ' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4211-2017-05-15T000000.html"
              test="count(hl7:text)&lt;=1">(Absaugfrequenz): Element hl7:text kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4211-2017-05-15T000000.html"
              test="count(hl7:statusCode)&lt;=1">(Absaugfrequenz): Element hl7:statusCode kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4211-2017-05-15T000000.html"
              test="count(hl7:value[concat(@code,@codeSystem)=doc('include/voc-1.2.276.0.76.11.437-2017-03-06T000000.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor])&gt;=1">(Absaugfrequenz): Element hl7:value[concat(@code,@codeSystem)=doc('include/voc-1.2.276.0.76.11.437-2017-03-06T000000.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor] ist required [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4211-2017-05-15T000000.html"
              test="count(hl7:value[concat(@code,@codeSystem)=doc('include/voc-1.2.276.0.76.11.437-2017-03-06T000000.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor])&lt;=1">(Absaugfrequenz): Element hl7:value[concat(@code,@codeSystem)=doc('include/voc-1.2.276.0.76.11.437-2017-03-06T000000.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4211
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4211']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4211']]/hl7:templateId[@root='1.2.276.0.76.10.4211']
Item: (Absaugfrequenz)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4211']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4211']]/hl7:templateId[@root='1.2.276.0.76.10.4211']"
         id="d127e8683-false-d123684e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4211-2017-05-15T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Absaugfrequenz): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4211-2017-05-15T000000.html"
              test="string(@root)=('1.2.276.0.76.10.4211')">(Absaugfrequenz): Der Wert von @root MUSS '1.2.276.0.76.10.4211' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4211
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4211']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4211']]/hl7:id
Item: (Absaugfrequenz)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4211']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4211']]/hl7:id"
         id="d127e8688-false-d123702e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4211-2017-05-15T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Absaugfrequenz): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4211
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4211']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4211']]/hl7:code[(@code='X-SUCFRQ' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)]
Item: (Absaugfrequenz)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4211']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4211']]/hl7:code[(@code='X-SUCFRQ' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)]"
         id="d127e8690-false-d123716e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4211-2017-05-15T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Absaugfrequenz): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4211-2017-05-15T000000.html"
              test="@nullFlavor or (@code='X-SUCFRQ' and @codeSystem='2.16.840.1.113883.6.1')">(Absaugfrequenz): Der Elementinhalt MUSS einer von 'code 'X-SUCFRQ' codeSystem '2.16.840.1.113883.6.1'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4211
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4211']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4211']]/hl7:text
Item: (Absaugfrequenz)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4211']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4211']]/hl7:text"
         id="d127e8696-false-d123736e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4211-2017-05-15T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Absaugfrequenz): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ED" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ED"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4211
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4211']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4211']]/hl7:statusCode
Item: (Absaugfrequenz)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4211']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4211']]/hl7:statusCode"
         id="d127e8698-false-d123750e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4211-2017-05-15T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Absaugfrequenz): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4211-2017-05-15T000000.html"
              test="@nullFlavor or (@code='completed')">(Absaugfrequenz): Der Elementinhalt MUSS einer von 'code 'completed'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4211
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4211']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4211']]/hl7:value[concat(@code,@codeSystem)=doc('include/voc-1.2.276.0.76.11.437-2017-03-06T000000.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor]
Item: (Absaugfrequenz)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4211']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4211']]/hl7:value[concat(@code,@codeSystem)=doc('include/voc-1.2.276.0.76.11.437-2017-03-06T000000.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor]"
         id="d127e8703-false-d123772e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4211-2017-05-15T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Absaugfrequenz): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-1.2.276.0.76.10.4211-2017-05-15T000000.html"
              test="@nullFlavor or exists(doc('include/voc-1.2.276.0.76.11.437-2017-03-06T000000.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(Absaugfrequenz): Der Elementinhalt MUSS einer von '1.2.276.0.76.11.437 Absaugfrequenz (2017-03-06T00:00:00)' sein.</assert>
   </rule>
</pattern>
