<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.6.60.12.10.84
Name: Multiresistente Erreger Act
Description: Multiresistente Erreger Act
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.6.60.12.10.84-2017-05-22T170941">
   <title>Multiresistente Erreger Act</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.6.60.12.10.84
Context: *[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.84']]]
Item: (ActMRE)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.6.60.12.10.84
Context: *[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.84']]]/hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.84']]
Item: (ActMRE)
-->

   <rule context="*[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.84']]]/hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.84']]"
         id="d127e12511-false-d145034e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-2.16.840.1.113883.2.6.60.12.10.84-2017-05-22T170941.html"
              test="string(@classCode)=('ACT')">(ActMRE): Der Wert von @classCode MUSS 'ACT' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-2.16.840.1.113883.2.6.60.12.10.84-2017-05-22T170941.html"
              test="not(@classCode) or (string-length(@classCode)&gt;0 and not(matches(@classCode,'\s')))">(ActMRE): Attribute @classCode MUSS vom Datentyp 'cs' sein</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-2.16.840.1.113883.2.6.60.12.10.84-2017-05-22T170941.html"
              test="string(@moodCode)=('EVN')">(ActMRE): Der Wert von @moodCode MUSS 'EVN' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-2.16.840.1.113883.2.6.60.12.10.84-2017-05-22T170941.html"
              test="not(@moodCode) or (string-length(@moodCode)&gt;0 and not(matches(@moodCode,'\s')))">(ActMRE): Attribute @moodCode MUSS vom Datentyp 'cs' sein</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-2.16.840.1.113883.2.6.60.12.10.84-2017-05-22T170941.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.84'])&gt;=1">(ActMRE): Element hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.84'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-2.16.840.1.113883.2.6.60.12.10.84-2017-05-22T170941.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.84'])&lt;=1">(ActMRE): Element hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.84'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-2.16.840.1.113883.2.6.60.12.10.84-2017-05-22T170941.html"
              test="count(hl7:code[(@code='CONC' and @codeSystem='2.16.840.1.113883.5.6')][not(@nullFlavor)])&gt;=1">(ActMRE): Element hl7:code[(@code='CONC' and @codeSystem='2.16.840.1.113883.5.6')][not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-2.16.840.1.113883.2.6.60.12.10.84-2017-05-22T170941.html"
              test="count(hl7:code[(@code='CONC' and @codeSystem='2.16.840.1.113883.5.6')][not(@nullFlavor)])&lt;=1">(ActMRE): Element hl7:code[(@code='CONC' and @codeSystem='2.16.840.1.113883.5.6')][not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-2.16.840.1.113883.2.6.60.12.10.84-2017-05-22T170941.html"
              test="count(hl7:statusCode[@code='completed'][not(@nullFlavor)])&gt;=1">(ActMRE): Element hl7:statusCode[@code='completed'][not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-2.16.840.1.113883.2.6.60.12.10.84-2017-05-22T170941.html"
              test="count(hl7:statusCode[@code='completed'][not(@nullFlavor)])&lt;=1">(ActMRE): Element hl7:statusCode[@code='completed'][not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-2.16.840.1.113883.2.6.60.12.10.84-2017-05-22T170941.html"
              test="count(hl7:effectiveTime[not(@nullFlavor)])&gt;=1">(ActMRE): Element hl7:effectiveTime[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-2.16.840.1.113883.2.6.60.12.10.84-2017-05-22T170941.html"
              test="count(hl7:effectiveTime[not(@nullFlavor)])&lt;=1">(ActMRE): Element hl7:effectiveTime[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-2.16.840.1.113883.2.6.60.12.10.84-2017-05-22T170941.html"
              test="count(hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.83']]])&gt;=1">(ActMRE): Element hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.83']]] ist mandatory [min 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.6.60.12.10.84
Context: *[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.84']]]/hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.84']]/hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.84']
Item: (ActMRE)
-->

   <rule context="*[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.84']]]/hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.84']]/hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.84']"
         id="d127e12517-false-d145157e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-2.16.840.1.113883.2.6.60.12.10.84-2017-05-22T170941.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ActMRE): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-2.16.840.1.113883.2.6.60.12.10.84-2017-05-22T170941.html"
              test="string(@root)=('2.16.840.1.113883.2.6.60.12.10.84')">(ActMRE): Der Wert von @root MUSS '2.16.840.1.113883.2.6.60.12.10.84' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-2.16.840.1.113883.2.6.60.12.10.84-2017-05-22T170941.html"
              test="not(@root) or matches(@root,'^[0-2](\.(0|[1-9]\d*))*$') or matches(@root,'^[A-Fa-f\d]{8}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{12}$') or matches(@root,'^[A-Za-z][A-Za-z\d\-]*$')">(ActMRE): Attribute @root MUSS vom Datentyp 'uid' sein</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.6.60.12.10.84
Context: *[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.84']]]/hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.84']]/hl7:id
Item: (ActMRE)
-->

   <rule context="*[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.84']]]/hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.84']]/hl7:id"
         id="d127e12522-false-d145178e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-2.16.840.1.113883.2.6.60.12.10.84-2017-05-22T170941.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ActMRE): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.6.60.12.10.84
Context: *[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.84']]]/hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.84']]/hl7:code[(@code='CONC' and @codeSystem='2.16.840.1.113883.5.6')][not(@nullFlavor)]
Item: (ActMRE)
-->

   <rule context="*[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.84']]]/hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.84']]/hl7:code[(@code='CONC' and @codeSystem='2.16.840.1.113883.5.6')][not(@nullFlavor)]"
         id="d127e12524-false-d145192e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-2.16.840.1.113883.2.6.60.12.10.84-2017-05-22T170941.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ActMRE): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-2.16.840.1.113883.2.6.60.12.10.84-2017-05-22T170941.html"
              test="@nullFlavor or (@code='CONC' and @codeSystem='2.16.840.1.113883.5.6')">(ActMRE): Der Elementinhalt MUSS einer von 'code 'CONC' codeSystem '2.16.840.1.113883.5.6'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.6.60.12.10.84
Context: *[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.84']]]/hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.84']]/hl7:statusCode[@code='completed'][not(@nullFlavor)]
Item: (ActMRE)
-->

   <rule context="*[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.84']]]/hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.84']]/hl7:statusCode[@code='completed'][not(@nullFlavor)]"
         id="d127e12530-false-d145212e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-2.16.840.1.113883.2.6.60.12.10.84-2017-05-22T170941.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ActMRE): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-2.16.840.1.113883.2.6.60.12.10.84-2017-05-22T170941.html"
              test="@nullFlavor or (@code='completed')">(ActMRE): Der Elementinhalt MUSS einer von 'code 'completed'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.6.60.12.10.84
Context: *[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.84']]]/hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.84']]/hl7:effectiveTime[not(@nullFlavor)]
Item: (ActMRE)
-->

   <rule context="*[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.84']]]/hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.84']]/hl7:effectiveTime[not(@nullFlavor)]"
         id="d127e12535-false-d145232e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-2.16.840.1.113883.2.6.60.12.10.84-2017-05-22T170941.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='IVL_TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ActMRE): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:IVL_TS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="IVL_TS"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-2.16.840.1.113883.2.6.60.12.10.84-2017-05-22T170941.html"
              test="count(hl7:low)&gt;=1">(ActMRE): Element hl7:low ist required [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-2.16.840.1.113883.2.6.60.12.10.84-2017-05-22T170941.html"
              test="count(hl7:low)&lt;=1">(ActMRE): Element hl7:low kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-2.16.840.1.113883.2.6.60.12.10.84-2017-05-22T170941.html"
              test="count(hl7:high)&lt;=1">(ActMRE): Element hl7:high kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.6.60.12.10.84
Context: *[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.84']]]/hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.84']]/hl7:effectiveTime[not(@nullFlavor)]/hl7:low
Item: (ActMRE)
-->

   <rule context="*[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.84']]]/hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.84']]/hl7:effectiveTime[not(@nullFlavor)]/hl7:low"
         id="d127e12537-false-d145267e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-2.16.840.1.113883.2.6.60.12.10.84-2017-05-22T170941.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ActMRE): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:TS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TS"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-2.16.840.1.113883.2.6.60.12.10.84-2017-05-22T170941.html"
              test="not(*)">(ActMRE): <value-of select="local-name()"/> with datatype TS, SHOULD NOT have child elements.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.6.60.12.10.84
Context: *[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.84']]]/hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.84']]/hl7:effectiveTime[not(@nullFlavor)]/hl7:high
Item: (ActMRE)
-->

   <rule context="*[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.84']]]/hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.84']]/hl7:effectiveTime[not(@nullFlavor)]/hl7:high"
         id="d127e12539-false-d145284e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-2.16.840.1.113883.2.6.60.12.10.84-2017-05-22T170941.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ActMRE): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:TS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TS"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/evthm-html-20170803T142932/tmp-2.16.840.1.113883.2.6.60.12.10.84-2017-05-22T170941.html"
              test="not(*)">(ActMRE): <value-of select="local-name()"/> with datatype TS, SHOULD NOT have child elements.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.6.60.12.10.84
Context: *[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.84']]]/hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.84']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.6.60.12.10.83']]]
Item: (ActMRE)
--></pattern>
